/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/* Page Location */
var page_location = window.location.pathname.split('/').reverse()[0];
var loginWindow, paymentWindow;

/* Email Verification */
var verify_email = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

/* Phone Number Verification*/
var verify_phoneno = /^\d{10}$/;

/* Name Verification */
var verify_name = /^[a-zA-Z-,]+(\s{0,1}[a-zA-Z-, ])*$/;

/* PIN/ZIP Code Verification */
var verify_zip = /^[0-9]{6}$/;

/* OTP Counter */
var otp_counter = 0;

/* IAP Checker */
var iab_status = false;

/* Back Button Override */
var back_override = false;

/* Device Type */
var device_type = 1;

var app = {
    // Application Constructor
    initialize: function () {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function () {
        document.addEventListener('deviceready', this.onDeviceReady, false);
        document.addEventListener('backbutton', this.backkeypress, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function () {
        app.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function (id) {
        console.log('Received Event: ' + id);
    },

    backkeypress: function () {
        //alert(page_location);
        if (page_location == 'signup.html') {
            if (back_override == true) {
                location.reload();
            } else if (iab_status == true) {
                iab_status = false;
                //loginWindow.close();
                document.getElementById('loading').classList.remove('is-visible');
            } else {
                navigator.app.exitApp();
            }
        } else if (page_location == 'profile.html') {
            navigator.app.exitApp();
        } else {
            window.history.back();
        }
    }
};

app.initialize();

/*------------------------ Close Functionality for Alert Box ------------------------*/

if (document.getElementById('close')) {
    document.getElementById('close').addEventListener('click', function () {
        document.getElementById('alert').classList.remove('is-visible');
    });
}

/*------------------------ Close Functionality for Alert Box Ends------------------------*/

/*------------------------ Custom Alert ------------------------*/

function custom_alert(message, click_function) {
    document.getElementById('alert').classList.add('is-visible');
    document.getElementById('msg').innerText = message;
    document.getElementById('close').onclick = (click_function) ? click_function : '';
}

/*------------------------ Custom Alert Ends------------------------*/

/*------------------------ Splashscreen Begin ------------------------*/

function begin() {
    window.localStorage.setItem('default_location','')
    window.localStorage.setItem('search_category_pick', 'inactive');
    window.localStorage.setItem('category', '');
    window.localStorage.setItem('subcategory', '');
    window.localStorage.setItem('vendors', '');
    if (window.localStorage.getItem('location_count') == null) {
        window.localStorage.setItem('location_count', '-1');
    }
    if (window.localStorage.getItem('history_count') == null) {
        window.localStorage.setItem('history_count', '-1');
    }

    setTimeout(function () {
        var counter = 0;
        setInterval(function () {
            counter++;
            if (counter == 2) {
                if (window.localStorage.getItem('uid') == '' || window.localStorage.getItem('uid') == null) {
                    window.location = 'signup.html';
                } else {
                    window.location = 'profile.html';
                }
            }
        }, 1000);
    }, 2000);
}

/*------------------------ Splashscreen Begin Ends------------------------*/

/*------------------------ Logout ------------------------*/

function logout() {

    var device_id = (window.localStorage.getItem('uid') == '' || window.localStorage.getItem('uid') == null) ? '' : window.localStorage.getItem('device_id');
    var profile_tutorial = (window.localStorage.getItem('profile_tutorial') == '' || window.localStorage.getItem('profile_tutorial') == null) ? '' : window.localStorage.getItem('profile_tutorial');
    var submenu_tutorial = (window.localStorage.getItem('submenu_tutorial') == '' || window.localStorage.getItem('submenu_tutorial') == null) ? '' : window.localStorage.getItem('submenu_tutorial');
    var search_tutorial = (window.localStorage.getItem('search_tutorial') == '' || window.localStorage.getItem('search_tutorial') == null) ? '' : window.localStorage.getItem('search_tutorial');
    var history_count = window.localStorage.getItem('history_count');
    var history_name = new Array();
    var history_type = new Array();
    var history_phone = new Array();
    var history_address = new Array();
    var history_latitude = new Array();
    var history_longitude = new Array();
    var history_email = new Array();
    var history_business = new Array();
    if (history_count != '-1') {
        var count = parseInt(window.localStorage.getItem('history_count'));
        for (var i = 0; i <= count; i++) {
            history_name.push(window.localStorage.getItem('history_name_' + i));
            history_type.push(window.localStorage.getItem('history_type_' + i));
            history_phone.push(window.localStorage.getItem('history_phone_' + i));
            history_address.push(window.localStorage.getItem('history_address_' + i));
            history_latitude.push(window.localStorage.getItem('history_latitude_' + i));
            history_longitude.push(window.localStorage.getItem('history_longitude_' + i));
            history_email.push(window.localStorage.getItem('history_email_' + i));
            history_business.push(window.localStorage.getItem('history_business_' + i));
        }
    }
    window.localStorage.clear();
    window.localStorage.setItem('device_id', device_id);
    window.localStorage.setItem('profile_tutorial', profile_tutorial);
    window.localStorage.setItem('submenu_tutorial', submenu_tutorial);
    window.localStorage.setItem('search_tutorial', search_tutorial);
    window.localStorage.setItem('history_count', history_count);
    if (history_count != '-1') {
        var count = parseInt(window.localStorage.getItem('history_count'));
        for (var i = 0; i <= count; i++) {
            window.localStorage.setItem('history_name_' + i, history_name[i]);
            window.localStorage.setItem('history_type_' + i, history_type[i]);
            window.localStorage.setItem('history_phone_' + i, history_phone[i]);
            window.localStorage.setItem('history_address_' + i, history_address[i]);
            window.localStorage.setItem('history_latitude_' + i, history_latitude[i]);
            window.localStorage.setItem('history_longitude_' + i, history_longitude[i]);
            window.localStorage.setItem('history_email_' + i, history_email[i]);
            window.localStorage.setItem('history_business_' + i, history_business[i]);
        }
    }
    window.location = 'signup.html';
}

/*------------------------ Logout Ends------------------------*/

/*------------------------ Login Screen Sign In Function ------------------------*/

function signin() {
    document.getElementById('email_phone').blur();
    document.getElementById('password').blur();
    var email_phone = document.getElementById('email_phone').value;
    var password = document.getElementById('password').value;

    if (!(email_phone.match(verify_email) || (email_phone.match(verify_phoneno)))) {
        custom_alert('Please enter valid email or mobile number', function () {
            document.getElementById('email_phone').focus();
        });
    } else {
        if (password == '') {
            custom_alert('Please enter valid password', function () {
                document.getElementById('password').focus();
            });
        } else {
            document.getElementById('loading').classList.add('is-visible');
            var xmlhttp = new XMLHttpRequest();
            //monitor response
            xmlhttp.onreadystatechange = function () {
                //alert(xmlhttp.responseText);
                if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                    if (xmlhttp.responseText.trim() == '401') {
                        custom_alert('Database Error. Please Try Again !!!');
                    } else if (xmlhttp.responseText.trim() == '402') {
                        custom_alert('Login failed. Enter valid USER ID & PASSWORD !!!');
                    } else {
                        //alert(xmlhttp.responseText);
                        var res = JSON.parse(xmlhttp.responseText);
                        window.localStorage.setItem('uid', res.tlid);
                        window.localStorage.setItem('cid', res.clientid);
                        window.localStorage.setItem('f_name', res.name);
                        window.localStorage.setItem('l_name', res.lastname);
                        window.localStorage.setItem('phone', res.phone);
                        window.localStorage.setItem('email', res.email);
                        window.localStorage.setItem('address1', res.address1);
                        window.localStorage.setItem('address2', res.address2);
                        window.localStorage.setItem('city', res.city);
                        window.localStorage.setItem('state', res.state);
                        window.localStorage.setItem('country', res.country);
                        window.localStorage.setItem('pincode', res.pincode);
                        window.localStorage.setItem('date_of_birth', res.date_of_birth);
                        window.localStorage.setItem('gender', res.gender);
                        window.localStorage.setItem('talk_time', res.talk_time);
                        window.localStorage.setItem('servicepackid', res.servicepackid);
                        //alert(window.localStorage.getItem('date_of_birth'));
                        window.location = 'profile.html';
                    }
                    document.getElementById('loading').classList.remove('is-visible');
                } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                    custom_alert('Network Error! Check Network Settings');
                    document.getElementById('loading').classList.remove('is-visible');
                }
            }
            xmlhttp.open('POST', curl + 'login.php', true);
            xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
            xmlhttp.send('email_phone=' + email_phone + '&password=' + password + '&device_id=' + encodeURIComponent(isnull(window.localStorage.getItem('device_id'))) + '&device_type=' + device_type);
        }
    }
}

/*------------------------ Eogin Screen Sign In Function Ends------------------------*/

/*------------------------ Signup Screen Gender Selection ------------------------*/

function gender_select(id) {
    document.getElementById(id).classList.add('gender-selected');
    (id == 'male') ? document.getElementById('female').classList.remove('gender-selected') : document.getElementById('male').classList.remove('gender-selected');
}

/*------------------------ Signup Screen Gender Selection Ends------------------------*/

/*------------------------ Signup Screen Verify Email and Phone and move to OTP Screen ------------------------*/

function signup() {

    var f_name = document.getElementById('f_name').value;
    var l_name = document.getElementById('l_name').value;
    var phone = document.getElementById('phone').value;
    var email = document.getElementById('email').value;
    var gender = (document.getElementsByClassName('gender-selected')[0]) ? document.getElementsByClassName('gender-selected')[0].id : '';
    var password = "123456";
    var repassword = "123456";

    if (gender == '') {
        custom_alert('Please select Gender');
    } else {
        if (!(f_name.match(verify_name))) {
            custom_alert('Please enter valid First Name', function () {
                document.getElementById('f_name').focus();
            });
        } else {
            if (!(l_name.match(verify_name))) {
                custom_alert('Please enter valid Last Name', function () {
                    document.getElementById('l_name').focus();
                });
            } else {
                if (!(phone.match(verify_phoneno))) {
                    custom_alert('Please enter valid Contact Number', function () {
                        document.getElementById('phone').focus();
                    });
                } else {
                    if (!(email.match(verify_email))) {
                        custom_alert('Please enter valid Email', function () {
                            document.getElementById('email').focus();
                        });
                    } else {
                        if (password == '') {
                            custom_alert('Please enter Password', function () {
                                document.getElementById('password').focus();
                            });
                        } else {
                            if (repassword == '') {
                                custom_alert('Please enter Re-type Password', function () {
                                    document.getElementById('repassword').focus();
                                });
                            } else {
                                if (password != repassword) {
                                    custom_alert('Re-type Password mismatch', function () {
                                        document.getElementById('repassword').focus();
                                    });
                                } else {
                                    document.getElementById('loading').classList.add('is-visible');
                                    window.localStorage.setItem('f_name', f_name);
                                    window.localStorage.setItem('l_name', l_name);
                                    window.localStorage.setItem('phone', phone);
                                    window.localStorage.setItem('email', email);
                                    window.localStorage.setItem('gender', gender);
                                    window.localStorage.setItem('password', password);
                                    setTimeout(function () {
                                        register();
                                    }, 2000);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/*------------------------ Signup Screen Verify Email and Phone and move to OTP Screen Ends------------------------*/

/*------------------------ OTP Screen Load ------------------------*/

function load_otpscreen() {
    document.getElementById('phone').value = window.localStorage.getItem('phone');
    document.getElementById('phone').readOnly = true;
    if (window.localStorage.getItem('editnumber') == 'true') {
        edit_number();
    }
}

/*------------------------ OTP Screen Load Ends------------------------*/

/*------------------------ OTP Screen Check ------------------------*/

function check_otp() {
    var entered_otp = document.getElementById('otp').value;

    if (entered_otp.length == 6) {
        var received_otp = window.localStorage.getItem('otp');
        var received_otp_validity = new Date(window.localStorage.getItem('otp_validity'));
        var current_timestamp = new Date();
        //console.log(received_otp_validity);
        //console.log(current_timestamp);
        if (entered_otp == received_otp) {
            if (received_otp_validity >= current_timestamp) {
                window.localStorage.setItem('phone', document.getElementById('phone').value);
                //console.log('correct');
                if (window.localStorage.getItem('editnumber') == 'true') {
                    updatedata('2');
                } else {
                    register();
                }
            } else {
                custom_alert('OTP Expired! Another OTP sent', function () {
                    document.getElementById('otp').value = '';
                    document.getElementById('otp').focus();
                    resend_otp();
                });
                //console.log('otp expired');
            }
        } else {
            custom_alert('OTP Incorrect! Please enter correct OTP', function () {
                document.getElementById('otp').value = '';
                document.getElementById('otp').focus();
            });
            //console.log('otp incorrect');
        }
    }
}

/*------------------------ OTP Screen Check Ends------------------------*/

/*------------------------ OTP Screen Resend ------------------------*/

function resend_otp() {
    document.getElementById('loading_msg').innerText = 'Sending OTP... Please Wait...';
    var phone = document.getElementById('phone').value;

    document.getElementById('loading').classList.add('is-visible');
    var xmlhttp = new XMLHttpRequest();
    //monitor response
    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            if (xmlhttp.responseText.trim() == "401") {
                custom_alert('Database Error. Please Try Again !!!');
            } else if (xmlhttp.responseText.trim() == "402") {
                custom_alert('Number already registered! Please enter another Number', function () {
                    edit_number();
                });
            } else {
                //alert(xmlhttp.responseText);
                var res = JSON.parse(xmlhttp.responseText);
                if (res.status == 'success') {
                    //alert(res.otp);
                    window.localStorage.setItem('otp', res.otp);
                    var expire_time = new Date();
                    expire_time.setMinutes(expire_time.getMinutes() + 5);
                    window.localStorage.setItem('otp_validity', expire_time);
                }
                otp_counter += 1;
                if (otp_counter == 2) {
                    document.getElementById('Resend_OTP').style.display = 'none';
                }
            }
            document.getElementById('loading').classList.remove('is-visible');
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("POST", curl + 'resend_otp.php', true);
    xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xmlhttp.send("phone=" + phone);
}

/*------------------------ OTP Screen Resend Ends------------------------*/

/*------------------------ OTP Screen Edit Number ------------------------*/

function edit_number() {
    document.getElementById('phone').readOnly = false;
    document.getElementById('phone').focus();
    document.getElementById('Resend_OTP').style.display = 'none';
    document.getElementById('phone').onblur = function () {
        phone_change('left')
    };
}

/*------------------------ OTP Screen Edit Number Ends------------------------*/

/*------------------------ OTP Screen Number Editing ------------------------*/

function phone_change(action) {
    var phone = document.getElementById('phone').value;
    var flag = 0;
    //console.log(action);

    flag = (action) ? ((!(phone.match(verify_phoneno))) ? 0 : 1) : ((phone.length == 10) ? (!(phone.match(verify_phoneno)) ? 0 : 1) : -1);

    if (flag == 0) {
        custom_alert('Please enter valid Contact Number', function () {
            document.getElementById('phone').focus();
        });
    } else if (flag == 1) {
        var respone = confirm('Send OTP to ' + phone + ' ?');
        if (respone == true) {
            document.getElementById('Resend_OTP').style.display = 'block';
            //console.log('correct number');
            document.getElementById('phone').onblur = '';
            document.getElementById('phone').readOnly = true;
            resend_otp();
        } else {
            document.getElementById('phone').focus();
        }
    }
}

/*------------------------ OTP Screen Number Editing Ends------------------------*/

/*------------------------ OTP Screen Register User ------------------------*/

function register() {

    var f_name = window.localStorage.getItem('f_name');
    var l_name = window.localStorage.getItem('l_name');
    var phone = window.localStorage.getItem('phone');
    var email = window.localStorage.getItem('email');
    var password = window.localStorage.getItem('password');
    var gender = window.localStorage.getItem('gender');

    window.localStorage.setItem('uid', '1');
    window.localStorage.setItem('cid', 'FP000' + Date.parse(new Date()));
    window.localStorage.setItem('f_name', f_name);
    window.localStorage.setItem('l_name', l_name);
    window.localStorage.setItem('phone', phone);
    window.localStorage.setItem('email', email);
    window.localStorage.setItem('address1', "");
    window.localStorage.setItem('address2', "");
    window.localStorage.setItem('city', "");
    window.localStorage.setItem('state', "");
    window.localStorage.setItem('country', "");
    window.localStorage.setItem('pincode', "");
    window.localStorage.setItem('date_of_birth', "");
    window.localStorage.setItem('gender', gender);
    window.localStorage.setItem('talk_time', "0");
    window.localStorage.setItem('servicepackid', "General");

    window.location = 'profile.html';
}

/*------------------------ OTP Screen Register User Ends------------------------*/

/*------------------------ OTP Screen Cancel Button ------------------------*/

function otp_cancel() {
    if (window.localStorage.getItem('editnumber') == 'true') {
        window.history.back();
    } else {
        window.localStorage.clear();
        window.location = 'login.html';
    }
}

/*------------------------ OTP Screen Cancel Button Ends------------------------*/

/*--------------------------------------- Google Plus Login--------------------------------------*/

// Client ID from Google API.
var client_id = '949032179143-9efiigqmnm7j09g2ifdufd50orm0a580.apps.googleusercontent.com';
// Client Secret from Google API.
var client_secret = 'zwOqB1Aej6VjkNUuAGHIYwJ-';
// Redirect URI from Google API.
var redirect_uri = 'http://localhost';
// Rsponse Type is format in which you want response. Example: code, etc...
var response_type = 'code';
// Scope should be Comma Separated Entities you want to fetch. Example: profile, email, etc..
var scope = 'profile email';

var login_url = 'https://accounts.google.com/o/oauth2/auth?client_id=' + client_id + '&redirect_uri=' + redirect_uri + '&response_type=' + response_type + '&scope=' + scope;
var code, error, access_token;

/*--------------------------------------- Google Plus Login Call--------------------------------------*/
function google_plus_login() {
    //Open Inappbrowser
    loginWindow = window.open(login_url, '_blank', 'location=no,clearsessioncache=yes,clearcache=yes');
    iab_status = true;
    loginWindow.addEventListener('loadstart',
            function (event) {
                //alert('start: ' + event.url); 
                var uri = event.url;
                code = uri.split('code=')[1];
                error = uri.split('error=')[1];
                if (code) {
                    //alert(code);
                    //Close browser if authentication successful
                    loginWindow.close();
                    document.getElementById('loading').classList.add('is-visible');
                    //iab_status = false;
                    fetch_access_token();
                } else if (error) {
                    //alert(error);
                    custom_alert(error);
                    //iab_status = false;
                    loginWindow.close();
                    //document.getElementById('loading').classList.remove('is-visible');
                }
            });
    loginWindow.addEventListener('exit',
        function (event) {
            iab_status = false;
            //document.getElementById('loading').classList.remove('is-visible');
        });
}

/*--------------------------------------- Google Plus Login Call Ends--------------------------------------*/

/*--------------------------------------- Google Plus Login Token Fetch--------------------------------------*/

function fetch_access_token() {
    //Obtain Access Token
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            access_token = res.access_token;
            //alert(access_token);
            fetch_data();
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("POST", "https://accounts.google.com/o/oauth2/token", true);
    xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xmlhttp.send("code=" + code + "&client_id=" + client_id + "&client_secret=" + client_secret + "&redirect_uri=" + redirect_uri + "&grant_type=authorization_code");
}

/*--------------------------------------- Google Plus Login Token Fetch Ends--------------------------------------*/

/*--------------------------------------- Google Plus Login Fetch Data--------------------------------------*/

function fetch_data() {
    //Fetch Profile Data
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            var email = (res.emails[0].value) ? res.emails[0].value : '';
            window.localStorage.setItem('profile_pic', (res.image.url) ? res.image.url.replace('sz=50', 'sz=200') : '');
            if (email == '') {
                custom_alert('Your Email is not accessible in Profile');
                document.getElementById('loading').classList.remove('is-visible');
            } else {
                signin_social(email);
            }
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("GET", "https://www.googleapis.com/plus/v1/people/me?fields=birthday,displayName,emails/value,gender,image/url&access_token=" + access_token, true);
    xmlhttp.send();
}

/*--------------------------------------- Google Plus Login Fetch Data Ends--------------------------------------*/

/*--------------------------------------- Google Plus Login Ends--------------------------------------*/

/*--------------------------------------- Facebook Login--------------------------------------*/

var fb_app_id = '194358067580829';
var fb_scope = 'email,public_profile';
var fb_logout_url = 'https://www.facebook.com/logout.php';
var fb_redirect_url = 'http://localhost';
var fb_cordovaOAuthRedirectURL = 'https://www.facebook.com/connect/login_success.html';

var fb_login_url = 'https://www.facebook.com/dialog/oauth' + '?client_id=' + fb_app_id + '&redirect_uri=' + fb_redirect_url + '&response_type=token&scope=' + fb_scope;

/*--------------------------------------- Facebook Login Call--------------------------------------*/

function facebook_login() {
    //Open Inappbrowser
    loginWindow = window.open(fb_login_url, '_blank', 'location=no,clearsessioncache=yes,clearcache=yes');
    iab_status = true;
    loginWindow.addEventListener('loadstart',
            function (event) {
                //alert('start: ' + event.url);
                var uri = event.url;
                code = uri.split('access_token=')[1].split('&')[0];
                error = uri.split('error=')[1];
                if (code) {
                    //alert(code);
                    //Close browser if authentication successful
                    access_token = code;
                    //iab_status = false;
                    loginWindow.close();
                    document.getElementById('loading').classList.add('is-visible');
                    fb_fetch_data();
                } else if (error) {
                    //alert(error);
                    custom_alert(error);
                    //iab_status = false;
                    loginWindow.close();
                    //document.getElementById('loading').classList.remove('is-visible');
                }
            });
    loginWindow.addEventListener('exit',
        function (event) {
            iab_status = false;
            //document.getElementById('loading').classList.remove('is-visible');
        });
};

/*--------------------------------------- Facebook Login Call Ends--------------------------------------*/

/*--------------------------------------- Facebook Login Fetch Data--------------------------------------*/

function fb_fetch_data() {
    //Fetch Profile Data
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            var email = (res.email) ? res.email : '';
            if (email == '') {
                custom_alert('Your Email is not accessible in Profile');
                document.getElementById('loading').classList.remove('is-visible');
            } else {
                fb_fetch_data_img();
                setTimeout(function () {
                    signin_social(email);
                }, 3000);
            }
            //fb_fetch_data_img();
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("GET", "https://graph.facebook.com/v2.5/me?fields=name,birthday,email,gender&access_token=" + access_token, true);
    xmlhttp.send();
}

/*--------------------------------------- Facebook Login Fetch Data Ends--------------------------------------*/

/*--------------------------------------- Facebook Login Fetch Profile Pic--------------------------------------*/

function fb_fetch_data_img() {
    //Fetch Profile Picture
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            window.localStorage.setItem('profile_pic', (res.data.url) ? res.data.url : '');
        }
    }
    xmlhttp.open("GET", "https://graph.facebook.com/v2.5/me/picture?redirect=0&type=large&access_token=" + access_token, true);
    xmlhttp.send();
}

/*--------------------------------------- Facebook Login Fetch Profile Pic Ends--------------------------------------*/

/*--------------------------------------- Social Signin After Fetching Data from Google/Facebook--------------------------------------*/

function signin_social(email) {

    var xmlhttp = new XMLHttpRequest();
    //monitor response
    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            if (xmlhttp.responseText.trim() == '401') {
                custom_alert('Database Error. Please Try Again !!!');
            } else if (xmlhttp.responseText.trim() == '402') {
                custom_alert('Email not registered! Please Signup!!!', function () {
                    window.localStorage.setItem('failed_login', email);
                    window.location = 'signup.html';
                });
            } else {
                //alert(xmlhttp.responseText);
                var res = JSON.parse(xmlhttp.responseText);
                window.localStorage.setItem('uid', res.tlid);
                window.localStorage.setItem('cid', res.clientid);
                window.localStorage.setItem('f_name', res.name);
                window.localStorage.setItem('l_name', res.lastname);
                window.localStorage.setItem('phone', res.phone);
                window.localStorage.setItem('email', res.email);
                window.localStorage.setItem('address1', res.address1);
                window.localStorage.setItem('address2', res.address2);
                window.localStorage.setItem('city', res.city);
                window.localStorage.setItem('state', res.state);
                window.localStorage.setItem('country', res.country);
                window.localStorage.setItem('pincode', res.pincode);
                window.localStorage.setItem('date_of_birth', res.date_of_birth);
                window.localStorage.setItem('gender', res.gender);
                window.localStorage.setItem('talk_time', res.talk_time);
                window.localStorage.setItem('servicepackid', res.servicepackid);
                //alert(window.localStorage.getItem('date_of_birth'));
                window.location = 'profile.html';
            }
            document.getElementById('loading').classList.remove('is-visible');
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open('POST', curl + 'login_social.php', true);
    xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
    xmlhttp.send('email=' + email + '&device_id=' + encodeURIComponent(isnull(window.localStorage.getItem('device_id'))) + '&device_type=' + device_type);
}

/*--------------------------------------- Social Signin After Fetching Data from Google/Facebook Ends--------------------------------------*/

/*--------------------------------------- Google Plus Signup Call--------------------------------------*/
function google_plus_signup() {
    //Open Inappbrowser
    loginWindow = window.open(login_url, '_blank', 'location=no,clearsessioncache=yes,clearcache=yes');
    iab_status = true;
    loginWindow.addEventListener('loadstart',
            function (event) {
                //alert('start: ' + event.url); 
                var uri = event.url;
                code = uri.split('code=')[1];
                error = uri.split('error=')[1];
                if (code) {
                    //alert(code);
                    //Close browser if authentication successful
                    loginWindow.close();
                    document.getElementById('loading').classList.add('is-visible');
                    //iab_status = false;
                    fetch_access_token_signup();
                } else if (error) {
                    //alert(error);
                    custom_alert(error);
                    //iab_status = false;
                    loginWindow.close();
                    //document.getElementById('loading').classList.remove('is-visible');
                }
            });
    loginWindow.addEventListener('exit',
        function (event) {
            iab_status = false;
            //document.getElementById('loading').classList.remove('is-visible');
        });
}

/*--------------------------------------- Google Plus Signup Call Ends--------------------------------------*/

/*--------------------------------------- Google Plus Signup Token Fetch--------------------------------------*/

function fetch_access_token_signup() {
    //Obtain Access Token
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            access_token = res.access_token;
            //alert(access_token);
            fetch_data_signup();
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("POST", "https://accounts.google.com/o/oauth2/token", true);
    xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xmlhttp.send("code=" + code + "&client_id=" + client_id + "&client_secret=" + client_secret + "&redirect_uri=" + redirect_uri + "&grant_type=authorization_code");
}

/*--------------------------------------- Google Plus Signup Token Fetch Ends--------------------------------------*/

/*--------------------------------------- Google Plus Signup Fetch Data--------------------------------------*/

function fetch_data_signup() {
    //Fetch Profile Data
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            window.localStorage.setItem('profile_pic', (res.image.url) ? res.image.url.replace('sz=50', 'sz=200') : '');
            if (res.displayName) {
                var name = res.displayName.split(' ');
                if (name.length > 1) {
                    document.getElementById('l_name').value = name[name.length - 1];
                    document.getElementById('f_name').value = name[0];
                } else {
                    document.getElementById('f_name').value = name[0];
                }
            }
            document.getElementById('email').value = (res.emails[0].value) ? res.emails[0].value : '';
            if (res.gender) {
                gender_select(res.gender.toLowerCase());
            }
            document.getElementById('loading').classList.remove('is-visible');
            document.getElementById('social_signup').style.display = 'none';
            document.getElementById('information_verify').style.display = 'block';
            back_override = true;
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("GET", "https://www.googleapis.com/plus/v1/people/me?fields=birthday,displayName,emails/value,gender,image/url&access_token=" + access_token, true);
    xmlhttp.send();
}

/*--------------------------------------- Google Plus Signup Fetch Data Ends--------------------------------------*/

/*--------------------------------------- Facebook Signup Call--------------------------------------*/

function facebook_signup() {
    //Open Inappbrowser
    loginWindow = window.open(fb_login_url, '_blank', 'location=no,clearsessioncache=yes,clearcache=yes');
    iab_status = true;
    loginWindow.addEventListener('loadstart',
            function (event) {
                //alert('start: ' + event.url);
                var uri = event.url;
                code = uri.split('access_token=')[1].split('&')[0];
                error = uri.split('error=')[1];
                if (code) {
                    //alert(code);
                    //Close browser if authentication successful
                    access_token = code;
                    //iab_status = false;
                    loginWindow.close();
                    document.getElementById('loading').classList.add('is-visible');
                    fb_fetch_data_signup();
                } else if (error) {
                    //alert(error);
                    custom_alert(error);
                    //iab_status = false;
                    loginWindow.close();
                    //document.getElementById('loading').classList.remove('is-visible');
                }
            });
    loginWindow.addEventListener('exit',
        function (event) {
            iab_status = false;
            //document.getElementById('loading').classList.remove('is-visible');
        });
};

/*--------------------------------------- Facebook Signup Call Ends--------------------------------------*/

/*--------------------------------------- Facebook Signup Fetch Data--------------------------------------*/

function fb_fetch_data_signup() {
    //Fetch Profile Data
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function () {
        //alert(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            var res = JSON.parse(xmlhttp.responseText);
            fb_fetch_data_img();
            if (res.name) {
                var name = res.name.split(' ');
                if (name.length > 1) {
                    document.getElementById('l_name').value = name[name.length - 1];
                    document.getElementById('f_name').value = name[0];
                } else {
                    document.getElementById('f_name').value = name[0];
                }
            }
            document.getElementById('email').value = (res.email) ? res.email : '';
            if (res.gender) {
                gender_select(res.gender.toLowerCase());
            }
            document.getElementById('loading').classList.remove('is-visible');
            document.getElementById('social_signup').style.display = 'none';
            document.getElementById('information_verify').style.display = 'block';
            back_override = true;
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open("GET", "https://graph.facebook.com/v2.5/me?fields=name,birthday,email,gender&access_token=" + access_token, true);
    xmlhttp.send();
}

/*--------------------------------------- Facebook Signup Fetch Data Ends--------------------------------------*/

/*------------------------ Forgot Password ------------------------*/

function forgot_password() {
    var email_phone = document.getElementById('email_phone').value;

    if (!(email_phone.match(verify_email) || email_phone.match(verify_phoneno))) {
        custom_alert('Please enter valid email or mobile number', function () {
            document.getElementById('email_phone').focus();
        })
    } else {
        document.getElementById('loading').classList.add('is-visible');
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function () {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                if (xmlhttp.responseText.trim() == "401") {
                    custom_alert('Database Error. Please Try Again !!!');
                } else if (xmlhttp.responseText.trim() == "402") {
                    custom_alert('Email/Number not registered! Please enter valid email/phone', function () {
                        document.getElementById('email_phone').focus();
                    });
                } else {
                    custom_alert('Password has been sent to your registered email and phone number', function () {
                        window.location = 'login.html';
                    });
                }
                document.getElementById('loading').classList.remove('is-visible');
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                custom_alert('Network Error! Check Network Settings');
                document.getElementById('loading').classList.remove('is-visible');
            }
        }
        xmlhttp.open("POST", curl + 'forgot_password.php', true);
        xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        xmlhttp.send("email_phone=" + email_phone);
    }
}

/*------------------------ Forgot Password Ends------------------------*/

/*------------------------- Default Images on Error ---------------------*/

function show_default_image(element, id) {
    if (id == 'slide') {
        element.src = 'watermark-banner.png';
    } else if (id == 'menu') {
        element.src = 'watermark-menu.png';
    }
}

/*------------------------- Default Images on Error ---------------------*/

/*------------------------- Profile Screen Load ---------------------*/

function load_profile_screen() {
    if (window.localStorage.getItem('profile_pic') == '' || window.localStorage.getItem('profile_pic') == null) {
        if (window.localStorage.getItem('gender') == 'male') {
            document.getElementById('profile_pic').src = 'img/profile_male.png';
        } else {
            document.getElementById('profile_pic').src = 'img/profile_female.png';
        }
    } else {
        document.getElementById('profile_pic').src = window.localStorage.getItem('profile_pic');
    }
    document.getElementById('profile_pic').onerror = function () {
        if (window.localStorage.getItem('gender') == 'male') {
            document.getElementById('profile_pic').src = 'img/profile_male.png';
        } else {
            document.getElementById('profile_pic').src = 'img/profile_female.png';
        }
    }
    document.getElementById('name_show').innerHTML = (isnull(window.localStorage.getItem('f_name')) == '') ? 'Hi User' : 'Hi ' + window.localStorage.getItem('f_name');
    if (window.localStorage.getItem('category') == null || window.localStorage.getItem('category') == '') {
        var category = [{ "type": "astrology", "image_url": "img/menu/astrology.jpg" },
                        { "type": "automobiles", "image_url": "img/menu/automobiles.jpg" },
                        { "type": "beauty", "image_url": "img/menu/beauty.jpg" },
                        { "type": "fitness", "image_url": "img/menu/fitness.jpg" },
                        { "type": "health", "image_url": "img/menu/health.jpg" },
                        { "type": "legal", "image_url": "img/menu/legal.jpg" },
                        { "type": "love", "image_url": "img/menu/love.jpg" }];
        var subcategory = [{ "type": "astrology", "specialities": "horoscope", "image_url": "" },
                            { "type": "astrology", "specialities": "ceremonies", "image_url": "" },
                            { "type": "automobiles", "specialities": "cars", "image_url": "" },
                            { "type": "automobiles", "specialities": "bikes", "image_url": "" },
                            { "type": "automobiles", "specialities": "repair shops", "image_url": "" },
                            { "type": "beauty", "specialities": "salon", "image_url": "" },
                            { "type": "beauty", "specialities": "spa", "image_url": "" },
                            { "type": "fitness", "specialities": "gym", "image_url": "" },
                            { "type": "fitness", "specialities": "sports complex", "image_url": "" },
                            { "type": "health", "specialities": "doctors", "image_url": "" },
                            { "type": "health", "specialities": "yoga", "image_url": "" },
                            { "type": "health", "specialities": "clinics", "image_url": "" },
                            { "type": "health", "specialities": "hospitals", "image_url": "" },
                            { "type": "legal", "specialities": "advocates", "image_url": "" },
                            { "type": "legal", "specialities": "lawyers", "image_url": "" },
                            { "type": "love", "specialities": "matrimonials", "image_url": "" }];
        window.localStorage.setItem('category', JSON.stringify(category));
        window.localStorage.setItem('subcategory', JSON.stringify(subcategory));

        //window.localStorage.setItem('subcategory', JSON.stringify(res.subcategory));
        //window.localStorage.setItem('vendors', JSON.stringify(res.vendors));
        //window.localStorage.setItem('sliders', JSON.stringify(res.sliders));
        document.getElementById('onload-screen').style.display = 'none';
        show_sliders();
        show_categories();
    } else {
        document.getElementById('onload-screen').style.display = 'none';
        show_sliders();
        show_categories();
    }
}

/*------------------------- Profile Screen Load Ends ---------------------*/

function show_sliders() {

    var showdata = '';
    for (var i = 0; i < 7; i++) {
        showdata += '<li><a href="javascript:void(0)"><img src="img/slider/' + (i + 1) + '.jpg" onerror="show_default(this,\'slide\')" /></a></li>';
    }
    document.getElementById('slidersdata').innerHTML = showdata;

    $('.bxslider').bxSlider({
        auto: true,
        autoControls: true
    });
}

/*------------------------- Profile Screen Show Categories ---------------------*/

function show_categories() {
    var res = JSON.parse(window.localStorage.getItem('category'));
    var show_data = '';
    for (var i = 0; i < res.length;) {
        show_data += (i % 2 == 0) ? '<div class="row10 menu">' : '';
        show_data += '<div class="col5 menu-image">' +
                        '<div class="menu-subtitle-' + ((i % 2 == 0) ? 'left' : 'right') + '" onclick="select_category(\'' + res[i].type + '\')">' +
                            '<p>' + res[i].type + '</p>' +
                        '</div>' +
                        '<div class="menu-' + ((i % 2 == 0) ? 'left' : 'right') + '">' +
                            '<img src="' + ((res[i].image_url) ? res[i].image_url : 'img/watermark-menu.png') + '" onerror="show_default_image(this,\'menu\')" />' +
                        '</div>' +
                    '</div>';
        i++;
        if (i == res.length) {
            show_data += '<div class="col5 menu-image"></div>';
        }
        show_data += (i % 2 == 0) ? '</div>' : '';
    }
    document.getElementById('page_data').innerHTML = show_data;

    if (window.localStorage.getItem('profile_tutorial') == '' || window.localStorage.getItem('profile_tutorial') == null) {
        document.getElementById('tutorial').style.display = 'block';
        document.getElementById('tutorial_a').style.visibility = 'visible';
        document.getElementById('tutorial_b').style.visibility = 'hidden';
        document.getElementById('tutorial_c').style.visibility = 'hidden';
    } else {
        document.getElementById('tutorial').style.display = 'none';
    }
}

/*------------------------- Profile Screen Show Categories Ends ---------------------*/

function tutorial_progress(page) {
    switch (page) {
        case 'profile':
            if (document.getElementById('tutorial_a').style.visibility == 'visible') {
                document.getElementById('tutorial_a').style.visibility = 'hidden';
                document.getElementById('tutorial_b').style.visibility = 'visible';
            } else if (document.getElementById('tutorial_b').style.visibility == 'visible') {
                document.getElementById('tutorial_b').style.visibility = 'hidden';
                document.getElementById('tutorial_c').style.visibility = 'visible';
            } else if (document.getElementById('tutorial_c').style.visibility == 'visible') {
                document.getElementById('tutorial_c').style.visibility = 'hidden';
                document.getElementById('tutorial').style.display = 'none';
                window.localStorage.setItem('profile_tutorial', 'done');
            }
            break;
        case 'submenu':
            document.getElementById('tutorial').style.display = 'none';
            window.localStorage.setItem('submenu_tutorial', 'done');
            break;
        case 'search':
            if (document.getElementById('tutorial_a').style.visibility == 'visible') {
                document.getElementById('tutorial_a').style.visibility = 'hidden';
                document.getElementById('tutorial_b').style.visibility = 'visible';
            } else if (document.getElementById('tutorial_b').style.visibility == 'visible') {
                document.getElementById('tutorial_b').style.visibility = 'hidden';
                document.getElementById('tutorial_c').style.visibility = 'visible';
            } else if (document.getElementById('tutorial_c').style.visibility == 'visible') {
                document.getElementById('tutorial_c').style.visibility = 'hidden';
                document.getElementById('tutorial_d').style.visibility = 'visible';
            } else if (document.getElementById('tutorial_d').style.visibility == 'visible') {
                document.getElementById('tutorial_d').style.visibility = 'hidden';
                document.getElementById('tutorial').style.display = 'none';
                window.localStorage.setItem('search_tutorial', 'done');
            }
            break;
    }
}

/*------------------------- Select Category ---------------------*/

function select_category(name) {
    window.localStorage.setItem('selected_category', name);
    window.location = 'submenu.html';
}

/*------------------------- Select Category Ends ---------------------*/

/*------------------------- SubMenu Screen Load ---------------------*/

function load_submenu() {
    if (window.localStorage.getItem('profile_pic') == '' || window.localStorage.getItem('profile_pic') == null) {
        if (window.localStorage.getItem('gender') == 'male') {
            document.getElementById('profile_pic').src = 'img/profile_male.png';
        } else {
            document.getElementById('profile_pic').src = 'img/profile_female.png';
        }
    } else {
        document.getElementById('profile_pic').src = window.localStorage.getItem('profile_pic');
    }
    document.getElementById('profile_pic').onerror = function () {
        if (window.localStorage.getItem('gender') == 'male') {
            document.getElementById('profile_pic').src = 'img/profile_male.png';
        } else {
            document.getElementById('profile_pic').src = 'img/profile_female.png';
        }
    }
    document.getElementById('name_show').innerHTML = (isnull(window.localStorage.getItem('f_name')) == '') ? 'Hi User' : 'Hi ' + window.localStorage.getItem('f_name');
    document.getElementById('selected_category').innerText = window.localStorage.getItem('selected_category');
    document.getElementById('onload-screen').style.display = 'none';
    show_subcategories();
}

/*------------------------- SubMenu Screen Load Ends ---------------------*/

/*------------------------- SubMenu Screen Show Subcategories ---------------------*/

function show_subcategories() {
    var res = JSON.parse(window.localStorage.getItem('subcategory'));
    var selected_category = window.localStorage.getItem('selected_category');
    var show_data = '';
    var j = 0;
    for (var i = 0; i < res.length; i++) {
        if (res[i].type == selected_category) {
            show_data += (j % 2 == 0) ? '<div class="row10 menu">' : '';
            show_data += '<div class="col5 menu-image">' +
                            '<div class="menu-subtitle-' + ((j % 2 == 0) ? 'left' : 'right') + '" onclick="select_subcategory(\'' + res[i].specialities + '\')">' +
                                '<p>' + res[i].specialities + '</p>' +
                            '</div>' +
                            '<div class="menu-' + ((j % 2 == 0) ? 'left' : 'right') + '">' +
                                '<img src="' + ((res[i].image_url) ? res[i].image_url : 'img/watermark-menu.png') + '" onerror="show_default_image(this,\'menu\')" />' +
                            '</div>' +
                        '</div>';
            j++;
            show_data += (j % 2 == 0) ? '</div>' : '';
        }
    }

    show_data += (j % 2 != 0) ? '<div class="col5 menu-image"></div>' : '';
    if (show_data == '') {
        custom_alert('Data Unavailable! Try Again Later', function () {
            window.history.back();
        });
    } else {
        document.getElementById('page_data').innerHTML = show_data;
        if (window.localStorage.getItem('submenu_tutorial') == '' || window.localStorage.getItem('submenu_tutorial') == null) {
            document.getElementById('tutorial').style.display = 'block';
        } else {
            document.getElementById('tutorial').style.display = 'none';
        }
    }
}

/*------------------------- SubMenu Screen Show Subcategories Ends ---------------------*/

/*------------------------- Select Subcategories ---------------------*/

function select_subcategory(name) {
    window.localStorage.setItem('selected_subcategory', name);
    window.localStorage.setItem('search_category_pick', 'active');
    if (window.localStorage.getItem('location_count') == '-1' || window.localStorage.getItem('location_count') == null) {
        window.location = 'location.html';
    } else {
        window.location = 'search.html';
    }
}

/*------------------------- Select Subcategories Ends---------------------*/

/*------------------------- Search Screen Fetch Vendors---------------------*/

function load_search() {
    var lat = parseFloat(window.localStorage.getItem('location_latitude' + window.localStorage.getItem('location_count')));
    var lng = parseFloat(window.localStorage.getItem('location_longitude' + window.localStorage.getItem('location_count')));
    var vendors =
            [{ "type":"astrology", "specialities": "horoscope", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "ACE ASTRO POINT", "mphone": "9999501360", "pphone": "9999501360", "ophone": "9999501360", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "horoscope", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Vasant Astrology Services Pvt. Ltd", "mphone": "01146052017", "pphone": "01146052017", "ophone": "01146052017", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "horoscope", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Accurate Astrologers", "mphone": "9818313151", "pphone": "9818313151", "ophone": "9818313151", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "horoscope", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Dr. Prem Kumar Sharma", "mphone": "01126449898", "pphone": "01126449898", "ophone": "01126449898", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "horoscope", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Anjlee Computer Horoscopes", "mphone": "01123847442", "pphone": "01123847442", "ophone": "01123847442", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "ceremonies", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Rama Events", "mphone": "09810056759", "pphone": "09810056759", "ophone": "09810056759", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "ceremonies", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Wedlock Services", "mphone": "09540118778", "pphone": "09540118778", "ophone": "09540118778", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "astrology", "specialities": "ceremonies", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Q Events Private Limited", "mphone": "01204211555", "pphone": "01204211555", "ophone": "01204211555", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "cars, bikes", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Mahindra First Choice Wheels Limited", "mphone": "08882781403", "pphone": "08882781403", "ophone": "08882781403", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "cars, repair shops", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Rana Motors Pvt. Ltd", "mphone": "01166133000", "pphone": "01166133000", "ophone": "01166133000", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "cars", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Infinity Cars", "mphone": "09910053131", "pphone": "09910053131", "ophone": "09910053131", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "bikes, repair shops", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Firefox Bike Station", "mphone": "09810199750", "pphone": "09810199750", "ophone": "09810199750", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "bikes", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Race Honda", "mphone": "18001033434", "pphone": "18001033434", "ophone": "18001033434", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "bikes", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Bajaj service centre", "mphone": "01242468181", "pphone": "01242468181", "ophone": "01242468181", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "cars, bikes", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Max Auto - Mahindra Two Wheelers", "mphone": "09711900242", "pphone": "09711900242", "ophone": "09711900242", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "cars, bikes, repair shops", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "SPORTS CARS & BIKES", "mphone": "08860001468", "pphone": "08860001468", "ophone": "08860001468", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "automobiles", "specialities": "cars, bikes", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Indian Auto Supply", "mphone": "09999355539", "pphone": "09999355539", "ophone": "09999355539", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "beauty", "specialities": "salon, spa", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Lime Lite Salon & Spa", "mphone": "01204262287", "pphone": "01204262287", "ophone": "01204262287", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "beauty", "specialities": "salon", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Lakme Salon", "mphone": "01204131500", "pphone": "01204131500", "ophone": "01204131500", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "beauty", "specialities": "spa", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "City Spa", "mphone": "09818651736", "pphone": "09818651736", "ophone": "09818651736", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "beauty", "specialities": "salon, spa", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Style Lab", "mphone": "01204545666", "pphone": "01204545666", "ophone": "01204545666", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "beauty", "specialities": "salon", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Naturals Salon", "mphone": "09810214470", "pphone": "09810214470", "ophone": "09810214470", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "gym, sports complex", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Neo fitness studio", "mphone": "01125221082", "pphone": "01125221082", "ophone": "01125221082", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "gym", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Talwalkars", "mphone": "01204107498", "pphone": "01204107498", "ophone": "01204107498", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "gym", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "La Fitnesse Gym", "mphone": "01202403324", "pphone": "01202403324", "ophone": "01202403324", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "sports complex", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Chilla Sports Complex", "mphone": "01122623184", "pphone": "01122623184", "ophone": "01122623184", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "sports complex", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Sports And Cultural Club", "mphone": "01204367007", "pphone": "01204367007", "ophone": "01204367007", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "gym, sports complex", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Elemention Green Gym", "mphone": "01204282400", "pphone": "01204282400", "ophone": "01204282400", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "fitness", "specialities": "gym, sports complex", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Club 9", "mphone": "01122370560", "pphone": "01122370560", "ophone": "01122370560", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "yoga", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Yogstars", "mphone": "09717832667", "pphone": "09717832667", "ophone": "09717832667", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Dr Reena Sharma", "mphone": "09999767722", "pphone": "09999767722", "ophone": "09999767722", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Dr. Narendra Tyagi", "mphone": "01202413542", "pphone": "01202413542", "ophone": "01202413542", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "yoga", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Sivananda yoga Vedanta Nataraja Centre", "mphone": "01204340769", "pphone": "01204340769", "ophone": "01204340769", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "yoga", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Sehaj Yoga Centre", "mphone": "09818984329", "pphone": "09818984329", "ophone": "09818984329", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors, yoga", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Holistic Healthcare Foundation", "mphone": "09958428670", "pphone": "09958428670", "ophone": "09958428670", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors, clinics", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Dr. Agarwal's Clinic", "mphone": "01202580706", "pphone": "01202580706", "ophone": "01202580706", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors, clinics", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Srijan Clinic", "mphone": "09873134443", "pphone": "09873134443", "ophone": "09873134443", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors, hospitals", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "City hospital", "mphone": "01202445500", "pphone": "01202445500", "ophone": "01202445500", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "health", "specialities": "doctors, hospitals", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Metro Multispeciality Hospital", "mphone": "01202442666", "pphone": "01202442666", "ophone": "01202442666", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "legal", "specialities": "advocates, lawyers", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "V.K.SINGH & CO Law Firm,Lawyers,Advocates", "mphone": "09999318690", "pphone": "09999318690", "ophone": "09999318690", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "legal", "specialities": "advocates", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Vivek Srivastava (Advocate)", "mphone": "09810764005", "pphone": "09810764005", "ophone": "09810764005", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "legal", "specialities": "lawyers", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Astha Law Solutions", "mphone": "09871275009", "pphone": "09871275009", "ophone": "09871275009", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "legal", "specialities": "lawyers", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Anurag Tomar & Associates", "mphone": "09350016057", "pphone": "09350016057", "ophone": "09350016057", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "legal", "specialities": "advocates, lawyers", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "M.S. Khan & Associates", "mphone": "09871264255", "pphone": "09871264255", "ophone": "09871264255", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "legal", "specialities": "advocates", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Khurana Advocate", "mphone": "09810006115", "pphone": "09810006115", "ophone": "09810006115", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "love", "specialities": "matrimonials", "latitude": (lat - (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Sycorian Matrimonial Services Ltd.", "mphone": "09811270570", "pphone": "09811270570", "ophone": "09811270570", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "love", "specialities": "matrimonials", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng + (Math.random() * 0.1)), "org_name": "Bharat Matrimony Centre", "mphone": "08307111888", "pphone": "08307111888", "ophone": "08307111888", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" },
            { "type": "love", "specialities": "matrimonials", "latitude": (lat + (Math.random() * 0.1)), "longitude": (lng - (Math.random() * 0.1)), "org_name": "Shaadi Centre", "mphone": "08826224024", "pphone": "08826224024", "ophone": "08826224024", "email": "abc@xyz.com", "oadress": "A-16", "ocity": "city", "ostate": "state", "ocountry": "country", "opincode": "201306", "businesshr": "0900-1700" }];
    window.localStorage.setItem('vendors', JSON.stringify(vendors));
    check();
}

/*------------------------- Search Screen Fetch Vendors Ends ---------------------*/

/*------------------------- Vendors List for Search Bar ---------------------*/

function search_list() {
    var res = JSON.parse(window.localStorage.getItem('vendors'));
    var search_data = new Array();
    for (var i = 0; i < res.length; i++) {
        if ((res[i].firstname + ' ' + res[i].lastname) == res[i].org_name) {
            search_data.push(res[i].org_name);
        } else {
            search_data.push(res[i].firstname + ' ' + res[i].lastname);
            search_data.push(res[i].org_name);
        }
    }
    res = JSON.parse(window.localStorage.getItem('category'));
    for (var i = 0; i < res.length; i++) {
        search_data.push(res[i].type);
    }
    res = JSON.parse(window.localStorage.getItem('subcategory'));
    for (var i = 0; i < res.length; i++) {
        search_data.push(res[i].specialities);
    }
    var temp_data = new Array();
    for (var i = 0; i < search_data.length; i++) {
        if (temp_data.indexOf(search_data[i]) > -1) {
            continue;
        } else {
            temp_data.push(search_data[i]);
        }
    }
    search_data = temp_data;
    search_data.sort();
    return search_data;
}

/*------------------------- Vendors List for Search Bar Ends ---------------------*/

/*-------------------Populate Search Box---------------------*/

if (page_location == 'search.html') {
    //var itr = setInterval(function () {
    //    //console.log(page_location);
    //    if (document.getElementById('onload-screen').style.display == 'none') {
    //        clearInterval(itr);
    //        var availableTags = search_list();
    //        $(function () {
    //            $("#search").autocomplete({
    //                source: function (req, response) {
    //                    var results = $.ui.autocomplete.filter(availableTags, req.term);
    //                    response(results.slice(0, 10));//for getting 5 results
    //                },
    //                select: function (event, ui) {
    //                    //show_search_offer(ui.item.value);
    //                    select_vendor(ui.item.value);
    //                    this.blur();
    //                }
    //            });
    //        });
    //    }
    //}, 500);
} else if (page_location == 'profile.html' || page_location == 'submenu.html') {
    //var itr = setInterval(function () {
    //    //console.log(page_location);
    //    if (document.getElementById('onload-screen').style.display == 'none') {
    //        clearInterval(itr);
    //        var availableTags = search_list();
    //        $(function () {
    //            $("#search").autocomplete({
    //                source: function (req, response) {
    //                    var results = $.ui.autocomplete.filter(availableTags, req.term);
    //                    response(results.slice(0, 10));//for getting 5 results
    //                },
    //                select: function (event, ui) {
    //                    //show_search_offer(ui.item.value);
    //                    select_vendor_pre(ui.item.value);
    //                    this.blur();
    //                }
    //            });
    //        });
    //    }
    //}, 500);
}

function select_vendor_pre(vendor) {
    window.localStorage.setItem('search_category_pick', 'vendor');
    window.localStorage.setItem('search_vendor', vendor);
    window.location = 'search.html';
}

function enterkeycheck(e, element) {
    var code = (e.keyCode ? e.keyCode : e.which);
    //alert(code);
    if (code == 13 && element.value.length > 3) { //Enter keycode
        console.log('enter press');
        if (page_location == 'profile.html' || page_location == 'submenu.html') {
            select_vendor_pre(element.value);
        } else if (page_location == 'search.html') {
            select_vendor(element.value);
        }
        element.blur();
    }
}

/*------------------------- Populate Search Box Ends ---------------------*/

/*-------------------Variables for Loction and Search Pages---------------------*/

var gps_lat, gps_lng, marker, map, circle, center, radius, icon_red, icon_green, infowindow, directionsService, directionsDisplay, last_zoom;
var markers = [];
gps_lat = 28.640935;
gps_lng = 77.196462;

/*------------------------- Variables for Loction and Search Pages Ends ---------------------*/

/*-------------------Show Vendor Page Check Google Javascript is loaded---------------------*/

var c = 0;
function check() {
    if (window.localStorage.getItem('search_tutorial') == '' || window.localStorage.getItem('search_tutorial') == null) {
        document.getElementById('tutorial').style.display = 'block';
        document.getElementById('tutorial_a').style.visibility = 'visible';
        document.getElementById('tutorial_b').style.visibility = 'hidden';
        document.getElementById('tutorial_c').style.visibility = 'hidden';
        document.getElementById('tutorial_d').style.visibility = 'hidden';
    } else {
        document.getElementById('tutorial').style.display = 'none';
    }

    if (typeof google === 'object' && typeof google.maps === 'object') {
        document.getElementById('onload-screen').style.display = 'none';
        //google.maps.event.addDomListener(window, 'load', initialize);
        initialize();
    } else {
        setTimeout(function () {
            if (c == 2) {
                document.getElementById('onload-screen').style.display = 'none';
                //alert('You are offline!!! Please check network status!!!');
                custom_alert('You are offline!!! Please check network status', function () {
                    window.history.back();
                });
            } else {
                c++;
                check();
            }
        }, 2000);
    }
}

/*------------------------- Show Vendor Page Check Google Javascript is loaded Ends ---------------------*/

/*-------------------Show Vendor Page Initialize---------------------*/

function initialize() {

    icon_green = 'img/map/green-dot.png';
    icon_red = 'img/map/red-dot.png';
    gps_lat = window.localStorage.getItem('location_latitude' + window.localStorage.getItem('location_count'));
    gps_lng = window.localStorage.getItem('location_longitude' + window.localStorage.getItem('location_count'));
    center = new google.maps.LatLng(gps_lat, gps_lng);
    directionsService = new google.maps.DirectionsService();
    directionsDisplay = new google.maps.DirectionsRenderer();

    map = new google.maps.Map(document.getElementById('map_canvas'), {
        zoom: 10,
        center: center
    });

    infowindow = new google.maps.InfoWindow()

    marker = new google.maps.Marker({
        position: center,
        icon: icon_green,
        map: map,
        title: 'Current Position'
    });

    marker.addListener('click', function () {
        custom_alert('Your Position');
    });

    markers.push(marker);

    if (window.localStorage.getItem('search_category_pick') == 'active') {
        circle = new google.maps.Circle({
            strokeColor: '#33FFCC',
            strokeOpacity: 0.5,
            strokeWeight: 2,
            fillColor: '#33FFCC',
            fillOpacity: 0.2,
            map: map,
            center: center,
            radius: 15000
        });

        radius = 15;

        var res = JSON.parse(window.localStorage.getItem('vendors'));
        //console.log(window.localStorage.getItem('selected_subcategory'));
        for (var i = 0; i < res.length; i++) {
            //console.log(res[i].specialities.indexOf(window.localStorage.getItem('selected_subcategory')) > -1 && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius);
            if (res[i].specialities.indexOf(window.localStorage.getItem('selected_subcategory')) > -1 && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius) {
                //console.log(distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M'));
                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(res[i].latitude, res[i].longitude),
                    map: map
                });
                google.maps.event.addListener(marker, 'click', (function (marker, i) {
                    return function () {
                        //infowindow.setContent('<strong>' + res[i].firstname + ' ' + res[i].lastname + '</strong><br/><br/>' +
                        infowindow.setContent('<strong>' + res[i].org_name + '</strong><br/><br/>' +
                            'Phone : <a href="tel:' + res[i].mphone + '">' + res[i].mphone + '</a>, ' +
                                '<a href="tel:' + res[i].pphone + '">' + res[i].pphone + '</a>, ' +
                                '<a href="tel:' + res[i].ophone + '">' + res[i].ophone + '</a><br/><br/>' +
                            'Email : ' + res[i].email.toLowerCase() + '<br/><br/>' +
                            'Address : ' + res[i].oadress + ', ' + res[i].ocity + ', ' + res[i].ostate + ', ' + res[i].ocountry + '<br/>' +
                            'Pincode : ' + res[i].opincode + '<br/><br/>' +
                            'Hours: ' + res[i].businesshr + '<br/><br/>'+
                            '<a style="color:blue; text-decoration:underline" onclick="getdirections(' + res[i].latitude + ',' + res[i].longitude + ')">Get Direction</a>');
                        infowindow.open(map, marker);
                        save_history(i);
                        //send_message(res[i].firstname + ' ' + res[i].lastname, res[i].mphone, res[i].email);
                    }
                })(marker, i));
                markers.push(marker);
            }
        }
    } else if (window.localStorage.getItem('search_category_pick') == 'vendor') {
        circle = new google.maps.Circle({
            strokeColor: '#33FFCC',
            strokeOpacity: 0.5,
            strokeWeight: 2,
            fillColor: '#33FFCC',
            fillOpacity: 0.2,
            map: map,
            center: center,
            radius: 15000
        });

        radius = 15;

        var res = JSON.parse(window.localStorage.getItem('vendors'));
        var vendor = window.localStorage.getItem('search_vendor');
        document.getElementById('search').value = vendor;
        vendor = vendor.toLowerCase();
        for (var i = 0; i < res.length; i++) {
            if ((res[i].org_name.toLowerCase().indexOf(vendor) > -1 || res[i].specialities.toLowerCase().indexOf(vendor) > -1 || res[i].type.toLowerCase().indexOf(vendor) > -1) && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius) {
                //console.log(distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M'));
                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(res[i].latitude, res[i].longitude),
                    map: map
                });
                google.maps.event.addListener(marker, 'click', (function (marker, i) {
                    return function () {
                        //infowindow.setContent('<strong>' + res[i].firstname + ' ' + res[i].lastname + '</strong><br/><br/>' +
                        infowindow.setContent('<strong>' + res[i].org_name + '</strong><br/><br/>' +
                            'Phone : <a href="tel:' + res[i].mphone + '">' + res[i].mphone + '</a>, ' +
                                '<a href="tel:' + res[i].pphone + '">' + res[i].pphone + '</a>, ' +
                                '<a href="tel:' + res[i].ophone + '">' + res[i].ophone + '</a><br/><br/>' +
                            'Email : ' + res[i].email.toLowerCase() + '<br/><br/>' +
                            'Address : ' + res[i].oadress + ', ' + res[i].ocity + ', ' + res[i].ostate + ', ' + res[i].ocountry + '<br/>' +
                            'Pincode : ' + res[i].opincode + '<br/><br/>' +
                            'Hours: ' + res[i].businesshr + '<br/><br/>' +
                            '<a style="color:blue; text-decoration:underline" onclick="getdirections(' + res[i].latitude + ',' + res[i].longitude + ')">Get Direction</a>');
                        infowindow.open(map, marker);
                        save_history(i);
                        //send_message(res[i].firstname + ' ' + res[i].lastname, res[i].mphone, res[i].email);
                    }
                })(marker, i));
                markers.push(marker);
            }
        }
    }
}

/*------------------------- Show Vendor Page Initialize Ends ---------------------*/

function getdirections(lat, lng) {
    var start = new google.maps.LatLng(gps_lat,gps_lng);
    var end = new google.maps.LatLng(lat, lng);
    var request = {
        origin: start,
        destination: end,
        travelMode: google.maps.TravelMode.DRIVING
    };
    directionsService.route(request, function (response, status) {
        if (status == google.maps.DirectionsStatus.OK) {
            directionsDisplay.setDirections(response);
        }
    });
    directionsDisplay.setMap(map);
    directionsDisplay.setPanel(document.getElementById('map_direction'));
    directionsService.route({
        origin: start,
        destination: end,
        travelMode: google.maps.TravelMode.DRIVING
    }, function (response, status) {
        if (status === google.maps.DirectionsStatus.OK) {
            directionsDisplay.setDirections(response);
            document.getElementById('direction_block').style.display = 'block';
        } else {
            custom_alert('Direction not found');
        }
    });
    //calculateAndDisplayRoute(directionsService, directionsDisplay, endlat, endlon);
}

function close_directions() {
    directionsDisplay.setMap(null);
    directionsDisplay.setPanel(null);
    document.getElementById('direction_block').style.display = 'none';
}

/*-------------------Show Vendor Page Change Radius---------------------*/

function change_radius(index) {
    if (window.localStorage.getItem('search_category_pick') == 'active') {
        var elements = document.getElementsByClassName('radius');

        for (var i = 0; i <= parseInt(index) ; i++) {
            if (elements[i].classList.contains('dist-point-notselected')) {
                elements[i].classList.add('dist-point-selected');
                elements[i].classList.remove('dist-point-notselected');
                elements[i].getElementsByClassName('not-selected-back')[0].classList.add('dist-point-back');
                elements[i].getElementsByClassName('dist-point-back')[0].classList.remove('not-selected-back');
            }
        }

        for (var i = parseInt(index) + 1; i < elements.length  ; i++) {
            if (elements[i].classList.contains('dist-point-selected')) {
                elements[i].classList.add('dist-point-notselected');
                elements[i].classList.remove('dist-point-selected');
                elements[i].getElementsByClassName('dist-point-back')[0].classList.add('not-selected-back');
                elements[i].getElementsByClassName('not-selected-back')[0].classList.remove('dist-point-back');
            }
        }

        map.setCenter(center);
        //circle.setMap(null);
        radius = (parseInt(index) + 1) * 5;
        var circleradius = ((parseInt(index) + 1) * 5) * 1000;
        var zoom;
        switch (index) {
            case '0':
            case '1':
            case '2':
                map.setZoom(12 - parseInt(index));
                break;
            case '3':
            case '4':
                map.setZoom(10);
                break;
        }
        circle.setRadius(circleradius);

        clearallmarkers();
        var res = JSON.parse(window.localStorage.getItem('vendors'));
        //console.log(window.localStorage.getItem('selected_subcategory'));
        for (var i = 0; i < res.length; i++) {
            //console.log(res[i].specialities.indexOf(window.localStorage.getItem('selected_subcategory')) > -1 && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius);
            if (res[i].specialities.indexOf(window.localStorage.getItem('selected_subcategory')) > -1 && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius) {
                //console.log(distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M'));
                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(res[i].latitude, res[i].longitude),
                    map: map
                });
                google.maps.event.addListener(marker, 'click', (function (marker, i) {
                    return function () {
                        //infowindow.setContent('<strong>' + res[i].firstname + ' ' + res[i].lastname + '</strong><br/><br/>' +
                        infowindow.setContent('<strong>' + res[i].org_name + '</strong><br/><br/>' +
                            'Phone : <a href="tel:' + res[i].mphone + '">' + res[i].mphone + '</a>, ' +
                                '<a href="tel:' + res[i].pphone + '">' + res[i].pphone + '</a>, ' +
                                '<a href="tel:' + res[i].ophone + '">' + res[i].ophone + '</a><br/><br/>' +
                            'Email : ' + res[i].email.toLowerCase() + '<br/><br/>' +
                            'Address : ' + res[i].oadress + ', ' + res[i].ocity + ', ' + res[i].ostate + ', ' + res[i].ocountry + '<br/>' +
                            'Pincode : ' + res[i].opincode + '<br/><br/>' +
                            'Hours: ' + res[i].businesshr + '<br/><br/>' +
                            '<a style="color:blue; text-decoration:underline" onclick="getdirections(' + res[i].latitude + ',' + res[i].longitude + ')">Get Direction</a>');
                        infowindow.open(map, marker);
                        save_history(i);
                        //send_message(res[i].firstname + ' ' + res[i].lastname, res[i].mphone, res[i].email);
                    }
                })(marker, i));
                markers.push(marker);
            }
        }
    } else if (window.localStorage.getItem('search_category_pick') == 'vendor') {
        var elements = document.getElementsByClassName('radius');

        for (var i = 0; i <= parseInt(index) ; i++) {
            if (elements[i].classList.contains('dist-point-notselected')) {
                elements[i].classList.add('dist-point-selected');
                elements[i].classList.remove('dist-point-notselected');
                elements[i].getElementsByClassName('not-selected-back')[0].classList.add('dist-point-back');
                elements[i].getElementsByClassName('dist-point-back')[0].classList.remove('not-selected-back');
            }
        }

        for (var i = parseInt(index) + 1; i < elements.length  ; i++) {
            if (elements[i].classList.contains('dist-point-selected')) {
                elements[i].classList.add('dist-point-notselected');
                elements[i].classList.remove('dist-point-selected');
                elements[i].getElementsByClassName('dist-point-back')[0].classList.add('not-selected-back');
                elements[i].getElementsByClassName('not-selected-back')[0].classList.remove('dist-point-back');
            }
        }

        map.setCenter(center);
        //circle.setMap(null);
        radius = (parseInt(index) + 1) * 5;
        var circleradius = ((parseInt(index) + 1) * 5) * 1000;
        var zoom;
        switch (index) {
            case '0':
            case '1':
            case '2':
                map.setZoom(12 - parseInt(index));
                break;
            case '3':
            case '4':
                map.setZoom(10);
                break;
        }
        circle.setRadius(circleradius);

        clearallmarkers();
        var res = JSON.parse(window.localStorage.getItem('vendors'));
        var vendor = window.localStorage.getItem('search_vendor');
        vendor = vendor.toLowerCase();
        for (var i = 0; i < res.length; i++) {
            if (((res[i].firstname.toLowerCase() + ' ' + res[i].lastname.toLowerCase()).indexOf(vendor) > -1 || res[i].org_name.toLowerCase().indexOf(vendor) > -1 || res[i].specialities.toLowerCase().indexOf(vendor) > -1 || res[i].type.toLowerCase().indexOf(vendor) > -1) && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius) {
                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(res[i].latitude, res[i].longitude),
                    map: map
                });
                google.maps.event.addListener(marker, 'click', (function (marker, i) {
                    return function () {
                        //infowindow.setContent('<strong>' + res[i].firstname + ' ' + res[i].lastname + '</strong><br/><br/>' +
                        infowindow.setContent('<strong>' + res[i].org_name + '</strong><br/><br/>' +
                            'Phone : <a href="tel:' + res[i].mphone + '">' + res[i].mphone + '</a>, ' +
                                '<a href="tel:' + res[i].pphone + '">' + res[i].pphone + '</a>, ' +
                                '<a href="tel:' + res[i].ophone + '">' + res[i].ophone + '</a><br/><br/>' +
                            'Email : ' + res[i].email.toLowerCase() + '<br/><br/>' +
                            'Address : ' + res[i].oadress + ', ' + res[i].ocity + ', ' + res[i].ostate + ', ' + res[i].ocountry + '<br/>' +
                            'Pincode : ' + res[i].opincode + '<br/><br/>' +
                            'Hours: ' + res[i].businesshr + '<br/><br/>' +
                            '<a style="color:blue; text-decoration:underline" onclick="getdirections(' + res[i].latitude + ',' + res[i].longitude + ')">Get Direction</a>');
                        infowindow.open(map, marker);
                        save_history(i);
                        //send_message(res[i].firstname + ' ' + res[i].lastname, res[i].mphone, res[i].email);
                    }
                })(marker, i));
                markers.push(marker);
            }
        }
    }
}

/*------------------------- Show Vendor Page Change Radius Ends ---------------------*/

/*-------------------Show Vendor Page Select Vendor PopUp---------------------*/

function select_vendor(vendor) {
    vendor = vendor.toLowerCase();
    if (window.localStorage.getItem('search_category_pick') != 'active' && window.localStorage.getItem('search_category_pick') != 'vendor') {
        console.log('call');
        circle = new google.maps.Circle({
            strokeColor: '#33FFCC',
            strokeOpacity: 0.5,
            strokeWeight: 2,
            fillColor: '#33FFCC',
            fillOpacity: 0.2,
            map: map,
            center: center,
            radius: 15000
        });
        radius = 15;
    }
    window.localStorage.setItem('search_category_pick', 'vendor');
    window.localStorage.setItem('search_vendor', vendor);
    clearallmarkers()
    var res = JSON.parse(window.localStorage.getItem('vendors'));
    //console.log(vendor);    
    for (var i = 0; i < res.length; i++) {
        //console.log(((res[i].firstname.toLowerCase() + ' ' + res[i].lastname.toLowerCase()).indexOf(vendor) > -1 || res[i].org_name.toLowerCase().indexOf(vendor) > -1 || res[i].specialities.toLowerCase().indexOf(vendor) > -1 || res[i].type.toLowerCase().indexOf(vendor) > -1) && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius);
        if ((res[i].org_name.toLowerCase().indexOf(vendor) > -1 || res[i].specialities.toLowerCase().indexOf(vendor) > -1 || res[i].type.toLowerCase().indexOf(vendor) > -1) && distance(gps_lat, gps_lng, res[i].latitude, res[i].longitude, 'M') <= radius) {
            marker = new google.maps.Marker({
                position: new google.maps.LatLng(res[i].latitude, res[i].longitude),
                map: map
            });
            google.maps.event.addListener(marker, 'click', (function (marker, i) {
                return function () {
                    //infowindow.setContent('<strong>' + res[i].firstname + ' ' + res[i].lastname + '</strong><br/><br/>' +
                    infowindow.setContent('<strong>' + res[i].org_name + '</strong><br/><br/>' +
                        'Phone : <a href="tel:' + res[i].mphone + '">' + res[i].mphone + '</a>, ' +
                            '<a href="tel:' + res[i].pphone + '">' + res[i].pphone + '</a>, ' +
                            '<a href="tel:' + res[i].ophone + '">' + res[i].ophone + '</a><br/><br/>' +
                        'Email : ' + res[i].email.toLowerCase() + '<br/><br/>' +
                        'Address : ' + res[i].oadress + ', ' + res[i].ocity + ', ' + res[i].ostate + ', ' + res[i].ocountry + '<br/>' +
                        'Pincode : ' + res[i].opincode + '<br/><br/>' +
                        'Hours: ' + res[i].businesshr + '<br/><br/>' +
                        '<a style="color:blue; text-decoration:underline" onclick="getdirections(' + res[i].latitude + ',' + res[i].longitude + ')">Get Direction</a>');
                    infowindow.open(map, marker);
                    save_history(i);
                    //send_message(res[i].firstname + ' ' + res[i].lastname, res[i].mphone, res[i].email);
                }
            })(marker, i));
            markers.push(marker);
        }
    }
}

//function select_vendor(vendor) {
//    if (window.localStorage.getItem('search_category_pick') == 'active') {
//        circle.setMap(null);
//    }

//    clearallmarkers()
//    var res = JSON.parse(window.localStorage.getItem('vendors'));
//    //console.log(window.localStorage.getItem('selected_subcategory'));
//    for (var i = 0; i < res.length; i++) {
//        if ((res[i].firstname + ' ' + res[i].lastname) == vendor || res[i].org_name == vendor) {
//            marker = new google.maps.Marker({
//                position: new google.maps.LatLng(res[i].latitude, res[i].longitude),
//                map: map
//            });
//            google.maps.event.addListener(marker, 'click', (function (marker, i) {
//                return function () {
//                    //infowindow.setContent('<strong>' + res[i].firstname + ' ' + res[i].lastname + '</strong><br/><br/>' +
//                    infowindow.setContent('<strong>' + res[i].org_name + '</strong><br/><br/>' +
//                        'Phone : <a href="tel:' + res[i].mphone + '">' + res[i].mphone + '</a>, ' +
//                            '<a href="tel:' + res[i].pphone + '">' + res[i].pphone + '</a>, ' +
//                            '<a href="tel:' + res[i].ophone + '">' + res[i].ophone + '</a><br/><br/>' +
//                        'Email : ' + res[i].email.toLowerCase() + '<br/><br/>' +
//                        'Address : ' + res[i].oadress + ', ' + res[i].ocity + ', ' + res[i].ostate + ', ' + res[i].ocountry + '<br/>' +
//                        'Pincode : ' + res[i].opincode + '<br/><br/>' +
//                        'Hours: ' + res[i].businesshr);
//                    infowindow.open(map, marker);
//                    save_history(i);
//                    //send_message(res[i].firstname + ' ' + res[i].lastname, res[i].mphone, res[i].email);
//                }
//            })(marker, i));
//            markers.push(marker);
//            map.setCenter(new google.maps.LatLng(res[i].latitude, res[i].longitude));
//            break;
//        }
//    }
//}

/*------------------------- Show Vendor Page Select Vendor PopUp Ends ---------------------*/

/*-------------------Show Vendor Page Select Vendor Save to Memory---------------------*/

function save_history(index) {
    var res = JSON.parse(window.localStorage.getItem('vendors'));
    var counter;
    if (window.localStorage.getItem('history_count') == '-1' || window.localStorage.getItem('history_count') == null) {
        counter = 0;
    } else {
        counter = parseInt(window.localStorage.getItem('history_count'));
        var flag = -1;
        for (var i = 0; i <= counter; i++) {
            if (window.localStorage.getItem('history_latitude_' + i) == res[index].latitude && window.localStorage.getItem('history_longitude_' + i) == res[index].longitude) {
                flag = i;
                break;
            }
        }
        if (flag == -1) {
            counter++;
        } else {
            var i = flag;
            while (i < counter) {
                window.localStorage.setItem('history_name_' + i, window.localStorage.getItem('history_name_' + (i + 1)));
                window.localStorage.setItem('history_type_' + i, window.localStorage.getItem('history_type_' + (i + 1)));
                window.localStorage.setItem('history_email_' + i, window.localStorage.getItem('history_email_' + (i + 1)));
                window.localStorage.setItem('history_business_' + i, window.localStorage.getItem('history_business_' + (i + 1)));
                window.localStorage.setItem('history_phone_' + i, window.localStorage.getItem('history_phone_' + (i + 1)));
                window.localStorage.setItem('history_address_' + i, window.localStorage.getItem('history_address_' + (i + 1)));
                window.localStorage.setItem('history_latitude_' + i, window.localStorage.getItem('history_latitude_' + (i + 1)));
                window.localStorage.setItem('history_longitude_' + i, window.localStorage.getItem('history_longitude_' + (i + 1)));
                i++;
            }
        }
    }
    window.localStorage.setItem('history_count', counter);
    window.localStorage.setItem('history_name_' + counter, res[index].org_name);
    window.localStorage.setItem('history_type_' + counter, res[index].type);
    window.localStorage.setItem('history_email_' + counter, res[index].email);
    window.localStorage.setItem('history_business_' + counter, res[index].businesshr);
    window.localStorage.setItem('history_phone_' + counter, '<a href="tel:' + res[index].mphone + '">' + res[index].mphone + '</a> <a href="tel:' + res[index].pphone + '">' + res[index].pphone + '</a> <a href="tel:' + res[index].ophone + '">' + res[index].ophone + '</a>');
    window.localStorage.setItem('history_address_' + counter, res[index].oadress + ', ' + res[index].ocity + ', ' + res[index].ostate + ' ' + res[index].opincode);
    window.localStorage.setItem('history_latitude_' + counter, res[index].latitude);
    window.localStorage.setItem('history_longitude_' + counter, res[index].longitude);
}

/*------------------------- Show Vendor Page Select Vendor Save to Memory Ends ---------------------*/

/*-------------------Show Vendor Page Clear Markers---------------------*/

function clearallmarkers() {
    for (var i = (markers.length - 1) ; i >= 1 ; i--) {
        markers[i].setMap(null);
        markers.splice((markers.length - 1), 1);
    }
}

/*------------------------- Show Vendor Page Clear Markers Ends ---------------------*/

/*-------------------Calculate Distance Based on Lat Long---------------------*/

function distance(lat1, lon1, lat2, lon2, unit) {
    var radlat1 = Math.PI * lat1 / 180
    var radlat2 = Math.PI * lat2 / 180
    var radlon1 = Math.PI * lon1 / 180
    var radlon2 = Math.PI * lon2 / 180
    var theta = lon1 - lon2
    var radtheta = Math.PI * theta / 180
    var dist = Math.sin(radlat1) * Math.sin(radlat2) + Math.cos(radlat1) * Math.cos(radlat2) * Math.cos(radtheta);
    dist = Math.acos(dist)
    dist = dist * 180 / Math.PI
    dist = dist * 60 * 1.1515
    if (unit == "M") { dist = dist * 1.609344 }
    if (unit == "K") { dist = dist * 1.609344 * 1000 }
    if (unit == "N") { dist = dist * 0.8684 }
    return dist
}

/*------------------------- Calculate Distance Based on Lat Long Ends ---------------------*/

/*-------------------Search History Page Load---------------------*/

function load_search_history() {
    if (window.localStorage.getItem('history_count') != '-1') {
        var count = parseInt(window.localStorage.getItem('history_count'));
        var show_data = "";
        for (var i = count; (i >= count - 9 && i >= 0) ; i--) {
            show_data += '<li>' +
                            '<div class="row10 history-list">' +
                                '<div class="col2" onclick="show_history(\'' + i + '\')">' +
                                    '<img src="img/default-history.png" />' +
                                '</div>' +
                                '<div class="col8">' +
                                    '<div class="history-list-header" onclick="show_history(\'' + i + '\')">' + window.localStorage.getItem('history_name_' + i) + '</div>' +
                                    '<div class="history-list-subheader" onclick="show_history(\'' + i + '\')">' + window.localStorage.getItem('history_type_' + i) + '</div>' +
                                    '<div class="history-list-subheader">' + window.localStorage.getItem('history_phone_' + i) + '</div>' +
                                    '<div class="history-list-address" onclick="show_history(\'' + i + '\')">' + window.localStorage.getItem('history_address_' + i) + '</div>' +
                                '</div>' +
                            '</div>' +
                        '</li>';
        }
        document.getElementById('page_data').innerHTML = show_data;
    }
}

function show_history(index) {
    if (window.localStorage.getItem('location_count') == '-1' || window.localStorage.getItem('location_count') == null) {
        window.location = 'location.html';
    } else {
        window.localStorage.setItem('show_history_index', index);
        window.location = 'search-history-map.html';
    }
}

/*------------------------- Search History Page Load Ends ---------------------*/

/*-------------------Save Link for Chat Page---------------------*/

function loadlink_free(id, n) {
    custom_alert('Chat will be available soon');
    //window.localStorage.setItem("FrameURL", "http://finishproblems.com/webclient_chat_mobile.php?chat_room=" + n + "&roomid=" + id + "&chatType=1&client_id=" + window.localStorage.getItem("uid") + "&name=" + window.localStorage.getItem("f_name") + "%20" + window.localStorage.getItem("l_name"));
    //window.location = "chat.html";
}

/*------------------------- Save Link for Chat Page Ends ---------------------*/

/*-------------------Chat Page Load---------------------*/

function loadframe() {
    document.getElementById('frame').src = window.localStorage.getItem("FrameURL");
}

/*-------------------Chat Page Load Ends---------------------*/

/*-------------------My Account Page Load---------------------*/

function loadmyaccount() {
    if (window.localStorage.getItem('profile_pic') == '' || window.localStorage.getItem('profile_pic') == null) {
        if (window.localStorage.getItem('gender') == 'male') {
            document.getElementById('profile_pic').src = 'img/profile_male.png';
        } else {
            document.getElementById('profile_pic').src = 'img/profile_female.png';
        }
    } else {
        document.getElementById('profile_pic').src = window.localStorage.getItem('profile_pic');
    }
    document.getElementById('profile_pic').onerror = function () {
        if (window.localStorage.getItem('gender') == 'male') {
            document.getElementById('profile_pic').src = 'img/profile_male.png';
        } else {
            document.getElementById('profile_pic').src = 'img/profile_female.png';
        }
    }
    document.getElementById('name_show').innerHTML = isnull(window.localStorage.getItem('f_name')) + ' ' + isnull(window.localStorage.getItem('l_name'));
    document.getElementById('phone_show').innerHTML = isnull(window.localStorage.getItem('phone'));
    document.getElementById('email_show').innerHTML = isnull(window.localStorage.getItem('email'));
    document.getElementById('address_show').innerHTML = isnull(window.localStorage.getItem('address1')) + ' ' +
        isnull(window.localStorage.getItem('address2')) + ' ' + isnull(window.localStorage.getItem('city')) + ' ' +
        isnull(window.localStorage.getItem('state')) + ' ' + isnull(window.localStorage.getItem('country')) + ' ' +
        isnull(window.localStorage.getItem('pincode'));
    document.getElementById('customerid_show').innerHTML = isnull(window.localStorage.getItem('cid'));
    document.getElementById('talktime_show').innerHTML = isnull(window.localStorage.getItem('talk_time'));
    document.getElementById('package_show').innerHTML = isnull(window.localStorage.getItem('servicepackid'));
}

/*-------------------My Account Page Load Ends---------------------*/

/*-------------------My Account Page Show Input Box for Editing Information ---------------------*/

function inputdatashow(field) {
    switch (field) {
        case '1':
            document.getElementById('name_show').innerHTML =
                '<input style="width:95%" id="f_name" type="text" placeholder="First Name" value="' + isnull(window.localStorage.getItem('f_name')) + '" />' +
                '<br /><br />' +
                '<input style="width:95%" id="l_name" type="text" placeholder="Last Name" value="' + isnull(window.localStorage.getItem('l_name')) + '" />';
            document.getElementById('name_edit').style.display = 'none';
            document.getElementById('name_done').style.display = 'table-cell';
            break;
        case '2':
            window.localStorage.setItem('editnumber', 'true');
            window.location = 'otpscreen.html';
            break;
        case '3':
            document.getElementById('email_show').innerHTML =
                '<input id="email" type="email" placeholder="Email Address" value="' + isnull(window.localStorage.getItem('email')) + '" />';
            document.getElementById('email_edit').style.display = 'none';
            document.getElementById('email_done').style.display = 'table';
            break;
        case '4':
            document.getElementById('address_show').innerHTML =
                '<input type="text" placeholder="House No./Street" value="' + isnull(window.localStorage.getItem('address1')) + '" id="address1" />' +
                '<br /><br />' +
                '<input type="text" placeholder="Locality/District" value="' + isnull(window.localStorage.getItem('address2')) + '" id="address2" />' +
                '<br /><br />' +
                '<input type="text" value="' + isnull(window.localStorage.getItem('city')) + '" placeholder="City" id="city" />' +
                '<br /><br />' +
                '<input type="text" placeholder="State" value="' + isnull(window.localStorage.getItem('state')) + '" id="state" />' +
                '<br /><br />' +
                '<input type="text" placeholder="Country" value="' + isnull(window.localStorage.getItem('country')) + '" id="country" />' +
                '<br /><br />' +
                '<input type="tel" maxlength="6" placeholder="Postal/Zip-Code" value="' + isnull(window.localStorage.getItem('pincode')) + '" id="pincode" />';
            var country_array = new Array("Afghanistan", "Albania", "Algeria", "American Samoa", "Angola", "Anguilla", "Antartica", "Antigua and Barbuda", "Argentina", "Armenia", "Aruba", "Ashmore and Cartier Island", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", "British Virgin Islands", "Brunei", "Bulgaria", "Burkina Faso", "Burma", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Cayman Islands", "Central African Republic", "Chad", "Chile", "China", "Christmas Island", "Clipperton Island", "Cocos (Keeling) Islands", "Colombia", "Comoros", "Congo, Democratic Republic of the", "Congo, Republic of the", "Cook Islands", "Costa Rica", "Cote d'Ivoire", "Croatia", "Cuba", "Cyprus", "Czeck Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Europa Island", "Falkland Islands (Islas Malvinas)", "Faroe Islands", "Fiji", "Finland", "France", "French Guiana", "French Polynesia", "French Southern and Antarctic Lands", "Gabon", "Gambia, The", "Gaza Strip", "Georgia", "Germany", "Ghana", "Gibraltar", "Glorioso Islands", "Greece", "Greenland", "Grenada", "Guadeloupe", "Guam", "Guatemala", "Guernsey", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Heard Island and McDonald Islands", "Holy See (Vatican City)", "Honduras", "Hong Kong", "Howland Island", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", "Ireland, Northern", "Israel", "Italy", "Jamaica", "Jan Mayen", "Japan", "Jarvis Island", "Jersey", "Johnston Atoll", "Jordan", "Juan de Nova Island", "Kazakhstan", "Kenya", "Kiribati", "Korea, North", "Korea, South", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macau", "Macedonia, Former Yugoslav Republic of", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Man, Isle of", "Marshall Islands", "Martinique", "Mauritania", "Mauritius", "Mayotte", "Mexico", "Micronesia, Federated States of", "Midway Islands", "Moldova", "Monaco", "Mongolia", "Montserrat", "Morocco", "Mozambique", "Namibia", "Nauru", "Nepal", "Netherlands", "Netherlands Antilles", "New Caledonia", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Niue", "Norfolk Island", "Northern Mariana Islands", "Norway", "Oman", "Pakistan", "Palau", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Pitcaim Islands", "Poland", "Portugal", "Puerto Rico", "Qatar", "Reunion", "Romainia", "Russia", "Rwanda", "Saint Helena", "Saint Kitts and Nevis", "Saint Lucia", "Saint Pierre and Miquelon", "Saint Vincent and the Grenadines", "Samoa", "San Marino", "Sao Tome and Principe", "Saudi Arabia", "Scotland", "Senegal", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "South Georgia and South Sandwich Islands", "Spain", "Spratly Islands", "Sri Lanka", "Sudan", "Suriname", "Svalbard", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Tobago", "Toga", "Tokelau", "Tonga", "Trinidad", "Tunisia", "Turkey", "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "Uruguay", "USA", "Uzbekistan", "Vanuatu", "Venezuela", "Vietnam", "Virgin Islands", "Wales", "Wallis and Futuna", "West Bank", "Western Sahara", "Yemen", "Yugoslavia", "Zambia", "Zimbabwe");
            var state_array = new Array("Andhra Pradesh", "Arunachal Pradesh", "Assam", "Bihar", "Chhattisgarh", "Goa", "Gujarat", "Haryana", "Himachal Pradesh", "Jammu and Kashmir", "Jharkhand", "Karnataka", "Kerala", "Madhya Pradesh", "Maharashtra", "Manipur", "Meghalaya", "Mizoram", "Nagaland", "Odisha", "Punjab", "Rajasthan", "Sikkim", "Tamil Nadu", "Telangana", "Tripura", "Uttar Pradesh", "Uttarakhand", "West Bengal", "Andaman and Nicobar Islands", "Chandigarh", "Dadar and Nagar Haveli", "Daman and Diu", "Delhi", "Lakshadweep", "Pondicherry");
            var city_array = new Array("Agra", "Ahmedabad", "Ajmer", "Aligarh", "Allahabad", "Ambattur", "Amravati", "Amritsar", "Asansol", "Aurangabad", "Bangalore", "Bareilly", "Belgaum", "Bhavnagar", "Bhilai Nagar", "Bhiwandi", "Bhopal", "Bhubaneswar", "Bikaner", "Chandigarh", "Chennai", "Coimbatore", "Cuttack", "Dehradun", "Delhi", "Dhanbad", "Durgapur", "Faridabad", "Firozabad", "Gaya", "Ghaziabad", "Gorakhpur", "Gulbarga", "Guntur", "Gurgaon", "Guwahati", "Gwalior", "Haora", "Hubli and Dharwad", "Hyderabad", "Indore", "Jabalpur", "Jaipur", "Jalandhar", "Jalgaon", "Jammu", "Jamnagar", "Jamshedpur", "Jhansi", "Jodhpur", "Kalyan & Dombivali", "Kanpur", "Kochi", "Kolapur", "Kolkata", "Kota", "Loni", "Lucknow", "Ludhiana", "Madurai", "Maheshtala", "Malegoan", "Mangalore", "Meerut", "Mira and Bhayander", "Moradabad", "Mumbai", "Mysore", "Nagpur", "Nanded Waghala", "Nashik", "Navi Mumbai", "Nellore", "Noida", "Patna", "Pimpri & Chinchwad", "Pune", "Raipur", "Rajkot", "Ranchi", "Saharanpur", "Salem", "Sangli Miraj Kupwad", "Siliguri", "Solapur", "Srinagar", "Surat", "Thane", "Thiruvananthapuram", "Tiruchirappalli", "Tirunelveli", "Udaipur", "Ujjain", "Ulhasnagar", "Vadodara", "Varanasi", "Vasai Virar", "Vijayawada", "Visakhapatnam", "Warangal");
            $(function () {
                $("#country").autocomplete({
                    source: function (req, response) {
                        var results = $.ui.autocomplete.filter(country_array, req.term);
                        response(results.slice(0, 10));//for getting 5 results
                    }
                });
                $("#state").autocomplete({
                    source: function (req, response) {
                        var results = $.ui.autocomplete.filter(state_array, req.term);
                        response(results.slice(0, 10));//for getting 5 results
                    }
                });
                $("#city").autocomplete({
                    source: function (req, response) {
                        var results = $.ui.autocomplete.filter(city_array, req.term);
                        response(results.slice(0, 10));//for getting 5 results
                    }
                });
            });
            document.getElementById('address_edit').style.display = 'none';
            document.getElementById('address_done').style.display = 'table';
            break;
    }
}

/*-------------------My Account Page Show Input Box for Editing Information Ends---------------------*/

/*------------------- My Account Page Updating the My Account Information ---------------------*/

function updatedata(field) {
    var uid = window.localStorage.getItem('uid');
    switch (field) {
        case '1':
            var fname = document.getElementById('f_name').value;
            var lname = document.getElementById('l_name').value;
            if (!(fname.match(verify_name))) {
                custom_alert('Please enter valid First Name', function () {
                    document.getElementById('f_name').focus();
                });
            } else {
                if (!(lname.match(verify_name))) {
                    custom_alert('Please enter valid Last Name', function () {
                        document.getElementById('l_name').focus();
                    });
                } else {
                    document.getElementById('name_done').style.display = 'none';
                    document.getElementById('name_edit').style.display = 'table-cell';
                    document.getElementById('name_show').innerHTML = isnull(window.localStorage.getItem('f_name')) + ' ' + isnull(window.localStorage.getItem('l_name'));
                    document.getElementById('loading').classList.add('is-visible');
                    setTimeout(function () {
                        window.localStorage.setItem('f_name', fname);
                        window.localStorage.setItem('l_name', lname);
                        location.reload();
                    }, 1000);
                }
            }
            break;
        case '3':
            var email = document.getElementById('email').value;
            if (!(email.match(verify_email))) {
                custom_alert('Please enter valid Email', function () {
                    document.getElementById('email').focus();
                });
            } else {
                document.getElementById('email_done').style.display = 'none';
                document.getElementById('email_edit').style.display = 'table';
                document.getElementById('email_show').innerHTML = isnull(window.localStorage.getItem('email'));
                document.getElementById('loading').classList.add('is-visible');
                setTimeout(function () {
                    window.localStorage.setItem('email', email);
                    location.reload();
                }, 1000);
            }
            break;
        case '4':
            var address1 = document.getElementById('address1').value;
            var address2 = document.getElementById('address2').value;
            var city = document.getElementById('city').value;
            var state = document.getElementById('state').value;
            var country = document.getElementById('country').value;
            var pincode = document.getElementById('pincode').value;

            if (address1 == '') {
                custom_alert('Please enter House No./Street', function () {
                    document.getElementById('address1').focus();
                });
            } else {
                if (address2 == '') {
                    custom_alert('Please enter Locality/District', function () {
                        document.getElementById('address2').focus();
                    });
                } else {
                    if (!(city.match(verify_name))) {
                        custom_alert('Please enter valid City Name', function () {
                            document.getElementById('city').focus();
                        });
                    } else {
                        if (!(state.match(verify_name))) {
                            custom_alert('Please enter valid State Name', function () {
                                document.getElementById('city').focus();
                            });
                        } else {
                            if (!(country.match(verify_name))) {
                                custom_alert('Please enter valid Country Name', function () {
                                    document.getElementById('country').focus();
                                });
                            } else {
                                if (!(pincode.match(verify_zip))) {
                                    custom_alert('Please enter valid PIN/ZIP Code', function () {
                                        document.getElementById('city').focus();
                                    });
                                } else {
                                    document.getElementById('address_done').style.display = 'none';
                                    document.getElementById('address_edit').style.display = 'table';
                                    document.getElementById('address_show').innerHTML = isnull(window.localStorage.getItem('address1')) + ' ' +
                                        isnull(window.localStorage.getItem('address2')) + ' ' + isnull(window.localStorage.getItem('city')) + ' ' +
                                        isnull(window.localStorage.getItem('state')) + ' ' + isnull(window.localStorage.getItem('country')) + ' ' +
                                        isnull(window.localStorage.getItem('pincode'));
                                    document.getElementById('loading').classList.add('is-visible');
                                    setTimeout(function () {
                                        window.localStorage.setItem('address1', address1);
                                        window.localStorage.setItem('address2', address2);
                                        window.localStorage.setItem('city', city);
                                        window.localStorage.setItem('state', state);
                                        window.localStorage.setItem('country', country);
                                        window.localStorage.setItem('pincode', pincode);
                                        location.reload();
                                    }, 1000);
                                }
                            }
                        }
                    }
                }
            }
            break;
    }
}

/*-------------------My Account Page Show Input Box for Editing Information Ends---------------------*/

/*------------------- My Account Page Checking if data is NULL return data ---------------------*/

function isnull(data) {
    if (data == 'null' || data == '' || data == null) {
        return '';
    } else {
        return data;
    }
}

/*-------------------My Account Page Checking if data is NULL return data Ends---------------------*/

/*------------------- My Account Page Checking if data is NULL return true/false ---------------------*/

function checknull(data) {
    if (data == 'null' || data == '' || data == null) {
        return true;
    } else {
        return false;
    }
}

/*-------------------My Account Page Checking if data is NULL return true/false Ends---------------------*/

/*------------------- Navigate to Plans page ---------------------*/

function movetopackages() {
    if (checknull(window.localStorage.getItem('address1')) || checknull(window.localStorage.getItem('address2')) || checknull(window.localStorage.getItem('city')) || checknull(window.localStorage.getItem('state')) || checknull(window.localStorage.getItem('country')) || checknull(window.localStorage.getItem('pincode'))) {
        custom_alert('Please fill address details for Buying Minutes');
    } else {
        window.location = 'plans.html';
    }
}

/*-------------------Navigate to Plans page Ends---------------------*/

/*------------------- Load Plan Packages Page ---------------------*/

function load_packages() {
    if (window.localStorage.getItem('packages') == '' || window.localStorage.getItem('packages') == null) {
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function () {
            //alert(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                if (xmlhttp.responseText.trim() == "401" || xmlhttp.responseText.trim() == "402") {
                    custom_alert('Database Error! Please Try Later', function () {
                        location.reload();
                    });
                } else {
                    window.localStorage.setItem('packages', xmlhttp.responseText);
                    show_packages();
                }
                document.getElementById('loading').classList.remove('is-visible');
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                custom_alert('Network Error! Check Network Settings');
                document.getElementById('loading').classList.remove('is-visible');
            }
        }
        xmlhttp.open("GET", curl + 'packages.php', true);
        xmlhttp.send();
    } else {
        show_packages();
    }
}

/*-------------------Load Plan Packages Page Ends---------------------*/

/*------------------- Plan Page Show Packages ---------------------*/

function show_packages() {
    var res = JSON.parse(window.localStorage.getItem('packages'));
    var show_data = '';
    for (var i = 0; i < res.length; i++) {
        show_data += '<div class="row9 plan" onclick="toggle_visibility(this,\'plan-subcateg' + i + '\');">' +
                        '<div class="col1 plan-left">+</div>' +
                        '<div class="col6 plan-middle">' + res[i].name + '</div>' +
                        '<div class="col3 plan-right">' + ((res[i].price == '0') ? '' : 'Rs. ' + res[i].price + '/-') + '</div>' +
                        '</div>' +
                    '<div class="row9 plan-subcategory" id="plan-subcateg' + i + '">' +
                        '<div class=" row10 plan-desc">' +
                            '<div class="col1"></div>' +
                            '<div class="col9">';
        if (res[i].talktime_minutes == '0') {
            show_data += '<p><span><a class="icon finish-cancel"></a></span>No Talk Time</p>';
        } else if (res[i].talktime_minutes >= 1000) {
            show_data += '<p><span><a class="icon finish-check-1"></a></span>Unlimited Talk Time</p>';
        } else {
            show_data += '<p><span><a class="icon finish-check-1"></a></span>' + res[i].talktime_minutes + ' Minutes Talk Time</p>';
        }
        show_data += '<p><span><a class="icon finish-check-1"></a></span>Access to General Chatroom</p>';
        if (res[i].onetoone_chat == '0') {
            show_data += '<p><span><a class="icon finish-cancel"></a></span>No Private Chat with Experts</p>';
        } else {
            show_data += '<p><span><a class="icon finish-check-1"></a></span>Private Chat with Experts</p>';
        }
        if (res[i].phone_call == '0') {
            show_data += '<p><span><a class="icon finish-cancel"></a></span>No Conference Call with Experts</p>';
        } else {
            show_data += '<p><span><a class="icon finish-check-1"></a></span>Conference Call with Experts</p>';
        }
        if (res[i].validity == '0') {
            show_data += '<p><span><a class="icon finish-check-1"></a></span>Lifetime Validity</p>';
        } else {
            show_data += '<p><span><a class="icon finish-check-1"></a></span>' + res[i].nvalidity + ' Validity</p>';
        }
        show_data += '</div>' +
                        '</div>';
        if (res[i].price != '0') {
            show_data += '<div class="row10 buy-option">' +
                            '<div class="space05"></div>' +
                            '<button onclick="checkpurchaseoptions(' + i + ')" class="button buy-button">Buy Now</button>' +
                        '</div>';
        }
        show_data += '<div class="space1"></div>' +
                    '</div>';
    }
    document.getElementById('page_data').innerHTML = show_data;
}

/*-------------------Plan Page Show Packages Ends---------------------*/

/*------------------- Plan Page Check if purchase options available ---------------------*/

function checkpurchaseoptions(packageid) {
    var res = JSON.parse(window.localStorage.getItem('packages'));
    if (res[packageid].service_id == 'null' || res[packageid].service_id == '' || res[packageid].service_id == null) {
        document.getElementById('purchaseoptionsalpha').classList.add('is-visible');
        document.getElementById('dccardalpha').onclick = function () {
            document.getElementById('purchaseoptionsalpha').classList.remove('is-visible');
            purchase(res[packageid].tlid);
        }
        document.getElementById('couponalpha').onclick = function () {
            document.getElementById('purchaseoptionsalpha').classList.remove('is-visible');
            purchasecoupon(res[packageid].tlid);
        }
        document.getElementById('cancelpurchase').onclick = function () {
            document.getElementById('purchaseoptions').classList.remove('is-visible');
        }
    } else {
        document.getElementById('purchaseoptions').classList.add('is-visible');
        document.getElementById('dccard').onclick = function () {
            document.getElementById('purchaseoptions').classList.remove('is-visible');
            purchase(res[packageid].tlid);
        }
        document.getElementById('taptobill').onclick = function () {
            document.getElementById('purchaseoptions').classList.remove('is-visible');
            purchasettb(res[packageid].tlid);
        }
        document.getElementById('coupon').onclick = function () {
            document.getElementById('purchaseoptions').classList.remove('is-visible');
            purchasecoupon(res[packageid].tlid);
        }
        document.getElementById('cancelpurchase').onclick = function () {
            document.getElementById('purchaseoptions').classList.remove('is-visible');
        }
    }
}

/*-------------------Plan Page Check if purchase options available Ends---------------------*/

function purchasecoupon(amt) {
    var response = prompt("Please enter your coupon code", "");
    if (response != null) {
        document.getElementById('loading').classList.add('is-visible');
        var xmlhttp = new XMLHttpRequest();
        //monitor response
        xmlhttp.onreadystatechange = function () {
            //console.log(xmlhttp.responseText);
            if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                if (xmlhttp.responseText.trim() == '200') {
                    custom_alert('Talk Time Top-Up Successfull', function () {
                        reloadpackagedetails();
                    });
                } else if (xmlhttp.responseText.trim() == '402') {
                    custom_alert('Invalid Coupon!!!');
                } else {
                    custom_alert('Transaction Error! Try Again Later!!!');
                }
                document.getElementById('loading').classList.remove('is-visible');
            } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                custom_alert('Network Error! Check Network Settings');
                document.getElementById('loading').classList.remove('is-visible');
            }
        }
        xmlhttp.open('GET', 'http://finishproblems.com/rechargepayment_mobile_coupon.php?couponcode=' + response + '&radio=' + amt + '&client_id=' + window.localStorage.getItem("uid"), true);
        xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
        xmlhttp.send();
    }
}

/*------------------- Plan Page Paying through Payment Gateway CCAVENUE ---------------------*/

function purchase(amt) {
    custom_alert('You are redirected to payment gateway! Please be paitent and wait for response!!!',
        function () {
            paymentWindow = window.open('http://finishproblems.com/rechargepayment_mobile.php?radio=' + amt + '&client_id=' + window.localStorage.getItem("uid"), '_blank', 'location=no');
            var response = "";
            paymentWindow.addEventListener('loadstart',
                function (event) {
                    iab_status = "true";
                });
            paymentWindow.addEventListener('loadstop',
                function (event) {
                    //alert('stop: ' + event.url);
                    if (event.url == 'http://finishproblems.com/pay_success_mobile.html') {
                        response = "success";
                        paymentWindow.close();
                    } else if (event.url == 'http://finishproblems.com/pay_fail_mobile.html') {
                        response = "fail";
                        paymentWindow.close();
                    }
                });
            paymentWindow.addEventListener('loaderror',
                function (event) {
                    //alert('error: ' + event.message);
                });
            paymentWindow.addEventListener('exit',
                function (event) {
                    if (response == "success") {
                        custom_alert('Purchase Successful', function () {
                            reloadpackagedetails();
                        });
                    } else if (response == "fail") {
                        custom_alert('Purchase Unsuccessful | Transaction Declined');
                    } else {
                        custom_alert('Purchase Unsuccessful | Connectivity Error');
                    }
                    iab_status = "false";
                    //alert(event.type);
                });
        });
}

/*-------------------Plan Page Paying through Payment Gateway CCAVENUE Ends---------------------*/

/*------------------- Plan Page Paying through Tap To Bill ---------------------*/

function purchasettb(amt) {
    custom_alert('You are redirected to payment gateway! Please be paitent and wait for response!!!',
        function () {
            paymentWindow = window.open('http://finishproblems.com/rechargepayment_mobile_taptobill.php?radio=' + amt + '&client_id=' + window.localStorage.getItem("uid"), '_blank', 'location=no');
            var response = "";
            paymentWindow.addEventListener('loadstart',
                function (event) {
                    iab_status = "true";
                });
            paymentWindow.addEventListener('loadstop',
                function (event) {
                    //alert('stop: ' + event.url);
                    if (event.url == 'http://finishproblems.com/pay_success_mobile.html') {
                        response = "success";
                        paymentWindow.close();
                    } else if (event.url == 'http://finishproblems.com/pay_fail_mobile.html') {
                        response = "fail";
                        paymentWindow.close();
                    }
                });
            paymentWindow.addEventListener('loaderror',
                function (event) {
                    //alert('error: ' + event.message);
                });
            paymentWindow.addEventListener('exit',
                function (event) {
                    if (response == "success") {
                        custom_alert('Purchase Successful', function () {
                            reloadpackagedetails();
                        });
                    } else if (response == "fail") {
                        custom_alert('Purchase Unsuccessful | Transaction Declined');
                    } else {
                        custom_alert('Purchase Unsuccessful | Connectivity Error');
                    }
                    iab_status = "false";
                    //alert(event.type);
                });
        });
}

/*-------------------Plan Page Paying through Tap To Bill Ends---------------------*/

/*------------------- Plan Page Reloading User Package Details ---------------------*/

function reloadpackagedetails() {
    document.getElementById('loading').classList.add('is-visible');
    var xmlhttp = new XMLHttpRequest();
    //monitor response
    xmlhttp.onreadystatechange = function () {
        //console.log(xmlhttp.responseText);
        if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
            if (xmlhttp.responseText.trim() == '401') {
                custom_alert('Database Error. Please Try Again !!!');
            } else if (xmlhttp.responseText.trim() == '402') {
                custom_alert('Database Error. Please Try Again !!!');
            } else {
                var res = JSON.parse(xmlhttp.responseText);
                window.localStorage.setItem('talk_time', res.talk_time);
                window.localStorage.setItem('servicepackid', res.servicepackid);
                window.history.back();
            }
            document.getElementById('loading').classList.remove('is-visible');
        } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
            custom_alert('Network Error! Check Network Settings');
            document.getElementById('loading').classList.remove('is-visible');
        }
    }
    xmlhttp.open('POST', curl + 'packagedetails.php', true);
    xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
    xmlhttp.send('uid=' + window.localStorage.getItem('uid'));
}

/*-------------------Plan Page Reloading User Package Details Ends---------------------*/

/*------------------- Change Password ---------------------*/

function changepassword() {
    var currentpassword = document.getElementById('currentpassword').value;
    var newpassword = document.getElementById('newpassword').value;
    var confirmpassword = document.getElementById('confirmpassword').value;

    if (currentpassword == '') {
        custom_alert('Please fill current password', function () {
            document.getElementById('currentpassword').focus();
        });
    } else {
        if (newpassword.length < 6) {
            custom_alert('New Password should consists minimum 6 characters', function () {
                document.getElementById('newpassword').focus();
            });
        } else {
            if (newpassword != confirmpassword) {
                custom_alert('Confirm password not matching', function () {
                    document.getElementById('confirmpassword').focus();
                });
            } else {
                document.getElementById('loading').classList.add('is-visible');
                var xmlhttp = new XMLHttpRequest();
                //monitor response
                xmlhttp.onreadystatechange = function () {
                    //console.log(xmlhttp.responseText);
                    if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
                        if (xmlhttp.responseText.trim() == "401") {
                            custom_alert('Database Error. Please Try Again !!!');
                        } else if (xmlhttp.responseText.trim() == "402") {
                            custom_alert('Please enter correct Current Password', function () {
                                document.getElementById('currentpassword').focus();
                            });
                        } else {
                            custom_alert('Password Changed', function () {
                                window.history.back();
                            });
                        }
                        document.getElementById('loading').classList.remove('is-visible');
                    } else if (xmlhttp.status == 404 || (xmlhttp.readyState == 4 && xmlhttp.status == 0)) {
                        custom_alert('Network Error! Check Network Settings');
                        document.getElementById('loading').classList.remove('is-visible');
                    }
                }
                xmlhttp.open("POST", curl + 'change_password.php', true);
                xmlhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                xmlhttp.send("uid=" + window.localStorage.getItem('uid') + "&cp=" + encodeURIComponent(currentpassword) + "&np=" + encodeURIComponent(newpassword));
            }
        }
    }
}

/*------------------- Change Password Ends ---------------------*/

/*------------------- Contact Us Load ---------------------*/

function loadcontactus() {
    document.getElementById('name').value = window.localStorage.getItem('f_name') + ' ' + window.localStorage.getItem('l_name');
    document.getElementById('email').value = window.localStorage.getItem('email');
    document.getElementById('phone').value = window.localStorage.getItem('phone');
}

/*------------------- Contact Us Load Ends ---------------------*/

/*------------------- Contact Us Form ---------------------*/

function contactus() {
    var name = document.getElementById('name').value;
    var email = document.getElementById('email').value;
    var phone = document.getElementById('phone').value;
    var subject = document.getElementById('subject').value;
    var message = document.getElementById('message').value;

    if (!(name.match(verify_name))) {
        custom_alert('Please enter correct Name', function () {
            document.getElementById('name').focus();
        });
    } else {
        if (!(email.match(verify_email))) {
            custom_alert('Please enter correct Email', function () {
                document.getElementById('email').focus();
            });
        } else {
            if (!(phone.match(verify_phoneno))) {
                custom_alert('Please enter correct Contact Number', function () {
                    document.getElementById('phone').focus();
                });
            } else {
                if (subject == '') {
                    custom_alert('Subject cannot be empty', function () {
                        document.getElementById('subject').focus();
                    });
                } else {
                    if (message == '') {
                        custom_alert('Message cannot be empty', function () {
                            document.getElementById('message').focus();
                        });
                    } else {
                        document.getElementById('loading').classList.add('is-visible');
                        setTimeout(function () {
                            custom_alert('Your query has been received. We will be reverting you soon.');
                            document.getElementById('loading').classList.remove('is-visible');
                        }, 1000);
                    }
                }
            }
        }
    }
}

/*------------------- Contact Us Form Ends ---------------------*/

/*------------------- Rate Us ---------------------*/

function rateus() {
    window.location.href = 'market://details?id=com.RampageStudios.FinishProblems';
}

/*------------------- Rate Us Ends ---------------------*/